/*文件下载对象
	param obj Object 入参对象
		obj.filename --文件名称
		obj.fileId --文件id
	param callback Function 回调函数
		--异步操作完成后执行回调
*/
var intPageArray = {"1":"sfz","2":"hkb","3":"cjzm","4":"gsjddjzs","5":"jqzp","6":"cyzm","7":"szzm","99":"other"};
var DownFilesUtil = {
	defaultDownUrlFs : "fs://download/",
	initArray:function(argument) {
		// 组装文件下载的
			var len = argument.length;
			var item ={};
			var downFileObj;
			var returnArray = {};
			var inputJsonArray = [];
			var pageObj = [];
			var downFileUrl,fileId,fileType,savePath;
		  for (var i = 0; i < len; i++) {
            downFileObj={};
            item = argument[i];
            downFileUrl = DownFilesUtil.defaultDownUrlFs+item.zaf003;//文件名
            fileId = item.zaf004;//文件id
            fileType =intPageArray[item.zaf002];//文件类型;
            savePath = md.getSchemeURLRealPath({url:downFileUrl});
            pageObj.push({
                fileName:item.zaf003,
                fileUrl:savePath,
                typeName:fileType
            });
            inputJson = {yad906:{loginId:md.getPrefs({key: 'username'}),fileId:fileId},savePath:savePath};
           
            inputJsonArray.push(inputJson);

        }
        returnArray.inuptArray = inputJsonArray;
        returnArray.pageObj = pageObj;

        return returnArray;
	},
	/*
		downLoadFiles
		param obj Object 入参对象
			obj.filename --文件名称
			obj.fileId --文件id
		param callback Function 回调函数
			--异步操作完成后执行回调
	*/
	downLoadFiles:function(obj,callback){
		if(obj&&callback){
			var paramArray = DownFilesUtil.initArray(obj);
			var inputJsonArray = paramArray.inuptArray;
			var len=inputJsonArray.length||0;
			var promiseArray = [];
			for (var i = 0; i < len; i++) {
				promiseArray.push(DownFilesUtil.requestFile(inputJsonArray[i]));
			}
			Promise.all(promiseArray).then(function(obj){
                        console.log("下载完毕: "+Base.jsonToStr(obj));
                        //下载完成之后，展示图片
                       callback(paramArray.pageObj);

            });
		}else{
			console.log("[文件下载]：文件入参异常");
		}
	},

	/*文件异步下载*/
	requestFile:function(jsonObj){
	    return Promise(function(resolve,reject){
	        yhbcp.download(jsonObj,function(ret){
	                    if(ret){
	                        resolve(ret);
	                    }else{
	                        reject();
	                    }   
	                });
	    });
	}

}