var healthinfo = {};
var recover,click_tag,accidentIssues,userid,typenum;
Base.ready(function() {
    typenum = md.pageParam.typeNum;
    //初始化页面（healthinfo_page.js）
    // createPage(typenum);
    queryDataItem();
    userid = Base.getStorage("userid");   //获取用户userid
    recover = md.pageParam.recover;
    console.log("加载数据"+typenum)
    var healthinfoStrVal;
    if(recover =="1"){
        healthinfoStrVal = Base.getStorage(userid + 'tempHealthInfo'+typenum);
        if(healthinfoStrVal){
            recoverFromLocalStorage(healthinfoStrVal);
        }else{
            initData();
        }
    }else{
        healthinfoStrVal = Base.getStorage(userid + 'healthInfo'+typenum);
        if(healthinfoStrVal){
            recoverFromLocalStorage(healthinfoStrVal);
        }
    }
});

function initData(){
    var codeArray=["dal007","dal009","dal011","dal012","dal013","dal018","dal019","dal015","dal016"];
    var apply_data = Base.getStorage(userid + "apply_data"+typenum);
    apply_data = JSON.parse(apply_data);
    var zha01l1Vo = apply_data.zha01l1Vo;
    $('.item-text').removeClass("color-d").addClass("color-8a");
    console.log(JSON.stringify(zha01l1Vo));
    apply.getVCode(zha01l1Vo,codeArray);
    if(zha01l1Vo.dal101||zha01l1Vo.dal102||zha01l1Vo.dal103||zha01l1Vo.dal104||zha01l1Vo.dal105||zha01l1Vo.dal106||zha01l1Vo.dal108){
        $('.accident .item-text').text("已填写");
    }
    if(zha01l1Vo.dal017){
        $('textarea').val(zha01l1Vo.dal017);
    }
}

function recoverFromLocalStorage(healthinfoStrVal){
    console.log('从缓存中读取healthinfo：' + healthinfoStrVal);
    $('.item-text').removeClass("color-d").addClass("color-8a");
    $('.accident .item-text').text("已填写");
    healthinfo = JSON.parse(healthinfoStrVal)
    for(var name in healthinfo) {
       var item = healthinfo[name],
            othertag = item.ext_tag || '',
            ext = item.ext || '';
        var str = '<span tag="'+name+'" aaa102="'+item.aaa102+'" othertag="'+othertag+'" text="'+ext+'">'+item.aaa103+'</span>'
        $('#'+name).html(str);
    }
    // 回显备注字段
    $('textarea').val(healthinfo['DAL017']['aaa103'] || '');
}

function queryDataItem(){
    var tag,
        title,
        framePageData,
        $itemNode,
        code,
        text;
    $(".item").each(function(i,e){
        tag = $(e).attr("tag");
        console.log("uuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuu"+tag);
        if(tag){
            $itemNode = $("#"+tag).find("span");
            code = $itemNode.attr("aaa102");
            text = $itemNode.attr("text");
            switch(tag){
                case "DAL007":
                    title="医疗支付方式（单选）";
                    framePageData = {'tag':tag,'name':'healthinfo','othertag':'DAL008','code':code,'text':text};
                break;
                case "DAL009":
                    title="就医方式（单选）";
                    framePageData = {'tag':tag,'name':'healthinfo','hospital':'DAL010','code':code,'text':text};
                break;
                case "DAL011":
                    title="手术史（单选）";
                    framePageData = {'tag':tag,'name':'healthinfo','code':code,'text':text};
                break;
                case "DAL012":
                    title="家族病史（单选）";
                    framePageData = {'tag':tag,'name':'healthinfo','code':code,'text':text};
                break;
                case "DAL013":
                    title="现存疾病(多选)";
                    framePageData = {'tag':tag,'name':'healthinfo','check':1,'othertag':'DAL014','code':code,'text':text,'typenum':typenum};
                break;
                case "DAL018":
                    title="吞咽功能（单选）";
                    framePageData = {'tag':tag,'name':'healthinfo','code':code,'text':text};
                break;
                 case "DAL019":
                    title="失语症（单选）";
                    framePageData = {'tag':tag,'name':'healthinfo','code':code,'text':text};
                break;
                case "DAL015":
                    title="痴呆（单选）";
                    framePageData = {'tag':tag,'name':'healthinfo','code':code,'text':text};
                break;
                case "DAL016":
                    title="精神疾病（多选）";
                    framePageData = {'tag':tag,'name':'healthinfo','code':code,'text':text};
                break;
                default:
                break;
            }
            queryItem(title,framePageData);
        }
    });
}

    // Base.click(".item",function($this){
    //     var tag = $this.attr("tag");
    //     var param = {};
    //     var code,text,$itemNode;
    //     click_tag = true;
    //     if(tag){
    //         $itemNode = $("#"+tag).find("span");
    //         code = $itemNode.attr("aaa102");
    //         text = $itemNode.attr("text");
    //         switch(tag){
    //             case "DAL007":
    //                 param.title="医疗支付方式（单选）";
    //                 param.framePageData = {'tag':tag,'name':'healthinfo','othertag':'DAL008','code':code,'text':text};
    //                 queryItem(param.title,param.framePageData);
    //             break;
    //             case "DAL009":
    //                 param.title="就医方式（单选）";
    //                 param.framePageData = {'tag':tag,'name':'healthinfo','hospital':'DAL010','code':code,'text':text};
    //             break;
    //             case "DAL011":
    //                 param.title="手术史（单选）";
    //                 param.framePageData = {'tag':tag,'name':'healthinfo','code':code,'text':text};
    //             break;
    //             case "DAL012":
    //                 param.title="家族病史（单选）";
    //                 param.framePageData = {'tag':tag,'name':'healthinfo','code':code,'text':text};
    //             break;
    //             case "DAL013":
    //                 param.title="现存疾病(多选)";
    //                 param.framePageData = {'tag':tag,'name':'healthinfo','check':1,'othertag':'DAL014','code':code,'text':text};
    //             break;
    //             case "DAL018":
    //                 param.title="吞咽功能（单选）";
    //                 param.framePageData = {'tag':tag,'name':'healthinfo','code':code,'text':text};
    //             break;
    //              case "DAL019":
    //                 param.title="失语症（单选）";
    //                 param.framePageData = {'tag':tag,'name':'healthinfo','code':code,'text':text};
    //             break;
    //             case "DAL015":
    //                 param.title="痴呆（单选）";
    //                 param.framePageData = {'tag':tag,'name':'healthinfo','code':code,'text':text};
    //             break;
    //             case "DAL016":
    //                 param.title="精神疾病（单选）";
    //                 param.framePageData = {'tag':tag,'name':'healthinfo','code':code,'text':text};
    //             break;
    //             default:
    //             break;
    //         }
    //         param.name="demo_plugins_win";
    //         param.url="wgt://disa/apply/demo_plugins_win.html";
    //         param.frameName="demo_plugins_frame";
    //         param.frameUrl="wgt://disa/apply/demo_plugins_frame.html";
    //         Base.openWin(param);
    //     }
    // });

//根据字段名查询本地数据库
function queryItem(title,framePageData){
    var tag = framePageData.tag,
        item_len,
        param = {};
        console.log("传入用于查询数据"+tag);
    DBUtil.queryCodeByTag(tag,function(ret, err){
        if(ret){
            item_len = ret.data.length;
            $('.item[tag="'+tag+'"]').attr("size",item_len);
            if(item_len < 10){          //查找到的数据小于10条的时候在当前页面创建节点
                createHtml(ret.data,framePageData);
                //调用方法生成子节点
                if(typenum==2 && tag=='DAL016'){
                console.log("这是精神障碍"+tag);
                createJSZA();
                }

                return;
            }else{
                $("#"+tag).parent().parent().addClass("arrow_right");   
            }
        }else{
            console.log(JSON.stringify(err));
        }
    });
}

function createHtml(data,framePageData){
    console.log(JSON.stringify(data));
    var item,
        check = framePageData.check,
        tag = framePageData.tag;
        text = framePageData.text;
        othertag = framePageData.othertag,
        hospital = framePageData.hospital;
        aaa102_item = $("#"+tag).find("span").attr("aaa102");
    var html = "";
           for(var i=0,len=data.length;i<len;i++){
        item = data[i];
        if(check){
            html += '<div class="md-box md-ac list-item check">'
        }else{
            if(tag=="DAL007"){
                if(item.aaa102==1){
                    html += '<div class="md-box md-ac list-item radio">'
                }else{
                    html += '<div class="md-box md-ac list-item disabled hide radio">'
                }
            }else{
                html += '<div class="md-box md-ac list-item radio">'
            }
        }
        html+='<div class="md-box md-img2 marg-r1 select-box"></div>'
            +'<div class="md-box check-contens fs-30 color-8a" aaa102="'+item.aaa102+'">'+item.aaa103+'</div>'
            +'</div>'
        
        if(text&&othertag && i==len-1){
            html += '<input type="text" class="md-box md-size marg-r4 marg-l1 md-f1 marg-b2 pad-lr1 color-8a" placeholder="请输入其他信息..." aaa102="'+item.aaa102+'" value="'+text+'">'
        }else if(othertag && i==len-1){
            html += '<input type="text" class="md-box md-size marg-r4 marg-l1 md-f1 marg-b2 pad-lr1 hide color-8a" placeholder="请输入其他信息..." aaa102="'+item.aaa102+'">'
        }
    }
      

    if(hospital){
            html +='<div class="md-box md-ac md-f1 pad-b2 fs-30 color-8a">'
                    +'习惯就诊医院：<input type="text" class="md-box md-size marg-r4 md-f1 marg-l1 pad-lr1 color-8a" placeholder="请输入习惯就诊医院...">'
                  +'</div>'
        } 
    $("."+tag).html(html);
}

//创建精神障碍的子节点，当申请类型为失智时，则加载该节点，并且显示子节点
function createJSZA(){
    console.log("我是子节点")
    DBUtil.queryCodeByTag("DAL017", function (data) {
            if (data) {
                var anslist = data.data;
                console.log("我是子节点"+Base.jsonToStr(anslist));
                var html ='<div class="md-box md-ver marg-l3 md-size color-8a DAL016_son no-display" tag = "DAL017">';

                for (var i = 0; i < anslist.length; i++) {
                    html += '<div class="md-box md-ac md-size color-8a list-item check ">'
                    +'<div class="md-box md-img2 marg-r1 select-box"></div>'
                    +'<div class="md-box check-contens fs-30 color-8a" aaa102="'+anslist[i].aaa102+'">'+anslist[i].aaa103+'</div>'
                    +"</div>"
                }

                html+="</div>";
                $(".DAL016").append(html);
            }
        });
    }

//失智精神障碍切换显示子节点
function showjszaItem(ansid){
    console.log("我进来了"+ansid);
   if(ansid == 1){
     $('.DAL016_son').removeClass('no-display');
   }else{
    $('.DAL016_son').addClass('no-display');
    //清除其他选中的值
    $(".other-input").removeClass("active");
    $(".other-input").val("");
    $("#DAL016").parent().parent(".item").toggleClass("arrow_down");
    $(".DAL016").toggleClass('hide');

   }
}

Base.click(".list-item:not(.disabled)",function($this){
    console.log("触发子节点点击事件！");
    var isCheck = $this.hasClass("check"),
        aaa102,
        aaa103,
        tag = $this.parent().attr("tag"),
        othertag = $('.DAL009:not(.hide)').attr('hospital'),
        ext,
        aaa102Array = [],
        aaa103Array = [],
        otherCode,
        isOtherActive;
        var aaa102_a = $this.find(".check-contens").attr("aaa102");
    //如果是失智类型的精神障碍就弹出子节点
    if(typenum=='2' && tag=='DAL016'){
       showjszaItem(aaa102_a);
    }

    if(isCheck){
        $this.toggleClass("active");
    }else{
        $this.addClass("active").siblings().removeClass("active");
        //失智时如果不是点击的这两个节点都直接隐藏
        if (typenum=='2') {
            if(!othertag && tag !='DAL016'){
            $("."+tag).addClass('hide');
            $("#"+tag).parent().parent(".item").toggleClass("arrow_down");
         }
        }else{
            if(!othertag){
            $("."+tag).addClass('hide');
            $("#"+tag).parent().parent(".item").toggleClass("arrow_down");
        }
        }
        
    }
    otherCode = $this.find(".check-contens").attr("aaa102");
    console.log("我点击了"+otherCode);
    isOtherActive = $this.hasClass("active");

    if(othertag=="DAL010"){
        ext = $this.parent().find('input').val()||'';  
    }
    if(otherCode==99 && isOtherActive && othertag){
        $this.parent().find("input").removeClass("hide");  
    }else if(otherCode==99 && (!isOtherActive) && othertag){
        $this.parent().find("input").addClass("hide").val('');
    }
    //如果点击的是精神疾病子节点中的子节点
    if(typenum=='2' && tag=='DAL017'){
        var objParent = $this.parent().eq(0);
        objParent.find(".active").each(function(i,e){
        aaa102 = $(e).find(".check-contens").attr("aaa102");
        aaa103 = $(e).find(".check-contens").text();
        aaa102Array.push(aaa102);
        aaa103Array.push(aaa103);
        });
       //子节点的数据需要DAL017转动DAL016
       tag = 'DAL016';
    }else{
       $this.parent().find(".active").each(function(i,e){
        aaa102 = $(e).find(".check-contens").attr("aaa102");
        aaa103 = $(e).find(".check-contens").text();
        aaa102Array.push(aaa102);
        aaa103Array.push(aaa103);
        }); 
    }
    

    $("#"+tag).removeClass("color-d").addClass("color-8a");
    $("#"+tag).html('<span tag="'+ tag +'" aaa102="'+aaa102Array.join(',')+'" othertag="'+othertag+'" text="'+ext+'">'+aaa103Array.join(',')+'</span>');
    // if(hospitaltag && !hospitalext){
    //     //提示填写医院输入信息不能为空      
    //    Base.toast('请填写医院','2000','middle');
    //    return; 
    // }
});

Base.click(".item",function($this){
    var aaa102_item,
        tag = $this.attr("tag"),
        hasDown = $this.hasClass("arrow_down"),
        aaa102Array = $("#"+tag).find("span").attr('aaa102'),
        hospitaltag = $('.DAL009:not(.hide)').attr('hospital'),
        hospitalext = $('.DAL009').find('input').val(),
        ext = $this.find('span').attr("text")||'',
        item_len = $this.attr("size");
        click_tag = true;
        console.log("点击item的时候"+tag);
    // if(hospitaltag){
    //     //提示填写医院输入信息不能为空
    //     if($('.DAL009').find(".list-item").hasClass("active") && !hospitalext){
    //        Base.toast('请填写医院','2000','middle');
    //        return; 
    //     };
    // }
    if(ext && ext!="undefined"){
        $('.'+tag).find('input').val(ext||'');
    }
    if(!$this.hasClass("arrow_right")){
        $this.toggleClass("arrow_down");
    }
    if(item_len<10){
        if(hasDown){
            $this.siblings('.item')
                 .addClass("arrow_down")
                 .siblings('.list-box')
                 .addClass('hide');
        }
        $('.'+tag).toggleClass("hide");

        if (aaa102Array) {
                aaa102Array = aaa102Array.split(",");
                for(var i=0,len=aaa102Array.length;i<len;i++){
                    $("."+tag).find(".check-contens[aaa102='"+aaa102Array[i]+"']").parent().addClass("active");
                }
            }
    }else{
        var param = {};
        var code,text,$itemNode;
        if(tag){
            $itemNode = $("#"+tag).find("span");
            code = $itemNode.attr("aaa102");
            text = $itemNode.attr("text");
            console.log("我想知道你是哪来的"+code+text);
            switch(tag){
                case "DAL007":
                    param.title="医疗支付方式（单选）";
                    param.framePageData = {'tag':tag,'name':'healthinfo','othertag':'DAL008','code':code,'text':text};
                break;
                case "DAL009":
                    param.title="就医方式（单选）";
                    param.framePageData = {'tag':tag,'name':'healthinfo','hospital':'DAL010','code':code,'text':text};
                break;
                case "DAL011":
                    param.title="手术史（单选）";
                    param.framePageData = {'tag':tag,'name':'healthinfo','code':code,'text':text};
                break;
                case "DAL012":
                    param.title="家族病史（单选）";
                    param.framePageData = {'tag':tag,'name':'healthinfo','code':code,'text':text};
                break;
                case "DAL013":
                    param.title="现存疾病(多选)";
                    param.framePageData = {'tag':tag,'name':'healthinfo','check':1,'othertag':'DAL014','code':code,'text':text,'typenum':typenum};
                break;
                case "DAL018":
                    param.title="吞咽功能（单选）";
                    param.framePageData = {'tag':tag,'name':'healthinfo','code':code,'text':text};
                break;
                 case "DAL019":
                    param.title="失语症（单选）";
                    param.framePageData = {'tag':tag,'name':'healthinfo','code':code,'text':text};
                break;
                case "DAL015":
                    param.title="痴呆（单选）";
                    param.framePageData = {'tag':tag,'name':'healthinfo','code':code,'text':text};
                break;
                case "DAL016":
                    param.title="精神疾病（单选）";
                    param.framePageData = {'tag':tag,'name':'healthinfo','code':code,'text':text};
                break;
                default:
                break;
            }
            param.name="demo_plugins_win";
            param.url="wgt://disa/apply/demo_plugins_win.html";
            param.frameName="demo_plugins_frame";
            param.frameUrl="wgt://disa/apply/demo_plugins_frame.html";
            Base.openWin(param);
        }
    }
});

$(document).on("blur",".list-box input",function(){
    var $this = $(this),
        tag = $this.parent().parent().attr("tag"),
        othertag = $this.parent().parent().attr("hospital"),
        ext = $this.val();
    $("#"+tag).find("span").attr({
        'othertag':othertag,
        'text':ext
    });
});

$("textarea").on("click",function(e){
    e.stopPropagation();
    click_tag = true;
});

function setCheckItem(tag, options) {
    var html = [],
        // isHospital = (tag == 'DAL009'),
        aaa102Array = [], // 选项的id
        aaa103Array = [], // 展示的文字
        othertag,
        ext; // 扩展字段
    
    for(var i=0,len=options.length; i<len; i++) {
        var option = options[i];
        aaa102Array.push(option.aaa102);
        othertag = option.tag || '';
        ext = option.ext;
        var aaa103 = option.aaa103;
        aaa103Array.push(aaa103);
    }
    // 渲染页面
    var aaa103ArrayStrVal = aaa103Array.join(',');
    var str = '<span tag="'+ tag +'" aaa102="'+aaa102Array.join(',')+'" othertag="'+othertag+'" text="'+(ext||'')+'">'+aaa103Array.join(',')+'</span>'
    console.log(str);
    $("#"+tag).removeClass("color-d").addClass("color-8a");
    $('#'+tag).html(str);
    // 保存有效的选项信息
    if(options.length > 0) {
        healthinfo[tag] = options;
    }
}

function accidentInfo(issues) {
    accidentIssues = JSON.parse(issues);
    for(var issue in accidentIssues){
        var item = {
            aaa102: accidentIssues[issue][0].aaa102,
            aaa103: accidentIssues[issue][0].aaa103
        };
        healthinfo[issue] = item; 
     };
     $('.accident .item-text').removeClass("color-d").addClass("color-8a");
     $('.accident .item-text').text("已填写");
}

Base.click(".accident",function($this){
    var param = {};
    param.name="accident_win";
    param.url="wgt://disa/common/common_win.html";
    param.frameName="accident_frame";
    param.title="近30天发生的意外事件";
    param.frameUrl="wgt://disa/apply/accident_frame.html";
    param.reload = "true";
    param.framePageData = {"recover":recover,"issues":accidentIssues};
    Base.openWin(param);
});

Base.click(".save-btn",function($this){
    saveInfo();
});

function saveInfo() {
    var dal017 = obtainDal017();
    var othertag = $('.list-box:not(.hide)').attr('hospital');

    if(dal017) {
        healthinfo['DAL017'] = dal017;
    }
    var $items = $('span[tag]');
    if($items.length < 9 || $('.accident .item-text').text() != "已填写") {
        Base.toast('还有必填信息未填写，请填写后提交！','2000','middle');
        return;
    }
  
    // if(othertag && !$('.list-box:not(.hide)').find('input').val()){
    //     Base.toast('请填写医院','2000','middle');
    //     return; 
    // }
    for(var i=0,len = $items.length; i<len; i++){
        var $item = $($items[i]),
            aaa103 = $item.text();
         if(aaa103 != undefined && aaa103 != null) { // 去除首尾空白字符
            aaa103 = aaa103.trim();
        }
        if(aaa103 == undefined || aaa103 == null || aaa103 == '') {
            Base.toast('还有必填信息未填写，请填写后提交！','2000','middle');
            return;
        }
        var item = {},
            tag = $item.attr('tag'),
            aaa102 = $item.attr('aaa102');
        if(aaa102 || aaa102 == '0') {
            item['aaa102'] = aaa102;
        }
        var itemOtherTag = $item.attr('othertag');
        var ext = $item.attr('text');
        if(itemOtherTag && itemOtherTag !="undefined" && ext && ext != "undefined") {
            item['ext_tag'] = itemOtherTag;
            item['ext'] = ext.trim();
        }
        item['aaa103'] = aaa103;
        healthinfo[tag] = item;
    }
    if($('textarea').val().length>200){
        Base.toast('备注描述信息不能超过200字！','2000','middle');
        return;
    }
    console.log('保存healthinfo缓存：' + JSON.stringify(healthinfo));
    if(recover == "1"){
        Base.setStorage(userid + 'tempHealthInfo'+typenum,healthinfo);
    }else{
        Base.setStorage(userid + 'healthInfo'+typenum,healthinfo);
    }
   md.confirm({
        title: '就医及健康状况',
        msg:'保存成功！',
        buttons: ['确定', '取消']
    },function( ret, err ){
        var buttonIndex = ret.buttonIndex;
        if(buttonIndex==1){
            md.closeWin();
        }
    });
    md.execScript({
        name: 'commit_win',
        frameName: 'apply_frame',
        script: 'setStatus("jkzk")',
    });
}


$("textarea").on("blur",function(){
    if($('textarea').val().length > 200){
        Base.toast('其他描述信息不能超过200字！','2000','middle');
        return;
    }
});

/**
 * 从页面获取备注字段的值。
 */
function obtainDal017() {
    var dal017 =$('textarea').val();
    if(dal017) { 
        dal017 = dal017.trim();
    }
    if(dal017) {
        return { aaa103: dal017 };
    }
    return null;
}

function goBack(){
    if(click_tag){
        md.confirm({
            title: '温馨提示：',
            msg: '是否确定放弃本次操作？',
            buttons: ['确定', '取消']
        },function( ret, err ){
            var buttonIndex = ret.buttonIndex;
            if(buttonIndex==1){
                md.closeWin();
            }
        });
    }else{
        md.closeWin();
    }
}





