var healthinfo = {};
var recover,click_tag,accidentIssues,userid,typenum,drugsTemp,seeHospital;
Base.ready(function() {
    typenum = md.pageParam.typeNum;
    //初始化页面（healthinfo_page.js）
    createPage(typenum);
    queryDataItem();
    userid = Base.getStorage("userid");   //获取用户userid
    recover = md.pageParam.recover;
    console.log("加载数据"+typenum)
    var healthinfoStrVal;
    if(recover =="1"){
        healthinfoStrVal = Base.getStorage(userid + 'tempHealthInfo'+typenum);
        if(healthinfoStrVal){
            recoverFromLocalStorage(healthinfoStrVal);
        }else{
            initData();
        }
    }else{
        healthinfoStrVal = Base.getStorage(userid + 'healthInfo'+typenum);
        if(healthinfoStrVal){
            recoverFromLocalStorage(healthinfoStrVal);
        }
    }
});

function initData(){
    var apply_data = window.localStorage.getItem(userid + "apply_data" + typenum);
    console.log(apply_data,12345678);
    apply_data = JSON.parse(apply_data);
    $('.item-text').removeClass("color-d").addClass("color-8a");
    $('#MED_PAY_TYPE').html('<span tag="MED_PAY_TYPE" aaa102="'+apply_data['medPayType']+'">'+apply_data['medPayTypeDesc']+'</span>');
    $('#SEE_MED_TYPE').html('<span tag="SEE_MED_TYPE" aaa102="'+apply_data['seeMedType']+'">'+apply_data['seeMedTypeDesc']+'</span>');
    $('#OPRN_HISTORY').html('<span tag="OPRN_HISTORY" aaa102="'+apply_data['oprnHistory']+'">'+apply_data['oprnHistoryDesc']+'</span>');
    $('#FMDISA_YN').html('<span tag="FMDISA_YN" aaa102="'+apply_data['fmdisaYn']+'">'+apply_data['fmdisaYnDesc']+'</span>');
    $('#EXISTDISA').html('<span tag="EXISTDISA" aaa102="'+apply_data['existdisa']+'" othertag="'+apply_data['existdisa']+'" text="'+apply_data['existdisaDesc']+'">'+apply_data['existdisaDesc']+'</span>');
    $('#SPIRITDISA_YN').html('<span tag="SPIRITDISA_YN" aaa102="'+apply_data['spiritdisaYn']+'">'+apply_data['spiritdisaYnDesc']+'</span>');
    if(apply_data['acciFall']||apply_data['acciLost']||apply_data['acciChok']||apply_data['acciSuic']){
        $('.accident .item-text').text("已填写");
    }
    healthinfo['drugs'] = apply_data['drugs'];
    if(apply_data['drugs'].length > 0){
        $('.drugs .item-text').text("已填写");
    }
    if(apply_data['memo']){
        $('textarea').val(apply_data['memo']);
    }
    seeHospital = apply_data['seeHospital'];
}

function recoverFromLocalStorage(healthinfoStrVal){
    console.log('从缓存中读取healthinfo：' + healthinfoStrVal);
    $('.item-text').removeClass("color-d").addClass("color-8a");
    $('.accident .item-text').text("已填写");
    healthinfo = JSON.parse(healthinfoStrVal);
    if(healthinfo['drugs']){
        $('.drugs .item-text').text("已填写");
    }
    for(var name in healthinfo) {
       var item = healthinfo[name],
            othertag = item.ext_tag || '',
            ext = item.ext || '';
        switch(name){
            case "medPayType":
                name = "MED_PAY_TYPE";
            break;
            case "seeMedType":
                name = "SEE_MED_TYPE";
            break;
            case "oprnHistory":
                name = "OPRN_HISTORY";
            break;
            case "existdisa":
                name = "EXISTDISA";
            break;
            case "spiritdisaYn":
                name = "SPIRITDISA_YN";
            break;
            case "fmdisaYn":
                name = "FMDISA_YN";
            break;
            
            default:
            break;
        }
        var str = '<span tag="'+name+'" aaa102="'+item.aaa102+'" othertag="'+othertag+'" text="'+ext+'">'+item.aaa103+'</span>'
        // console.log("回现"+str);
        $('#'+name).html(str);
         //回显其他信息
    // if(ext){
    //      // console.log("回显失败"+ext+name)
    //     $('.list-box.'+name).find('input').val(ext);
    //  }
    }
    // 回显备注字段
    $('textarea').val(healthinfo['memo'].aaa103 || '');
}

function queryDataItem(){
    var tag,
        title,
        framePageData,
        $itemNode,
        code,
        text;
    $(".item").each(function(i,e){
        tag = $(e).attr("tag");
        if(tag){
            $itemNode = $("#"+tag).find("span");
            code = $itemNode.attr("aaa102");
            text = $itemNode.attr("text");
            // console.log("这里的传入值有点问题"+text);
            switch(tag){
                case "MED_PAY_TYPE":
                    title="医疗支付方式（单选）";
                    framePageData = {'tag':tag,'name':'healthinfo','code':code};
                break;
                case "SEE_MED_TYPE":
                    title="就医方式（单选）";
                    framePageData = {'tag':tag,'name':'healthinfo','hospital':'seeHospital','code':code};
                break;
                case "OPRN_HISTORY":
                    title="手术史（单选）";
                    framePageData = {'tag':tag,'name':'healthinfo','code':code,'text':text};
                break;
                case "FMDISA_YN":
                    title="家族病史（单选）";
                    framePageData = {'tag':tag,'name':'healthinfo','code':code};
                break;
                case "EXISTDISA":
                    title="现存疾病(多选)";
                    framePageData = {'tag':tag,'name':'healthinfo','check':1,'code':code,'typenum':typenum};
                break;
                case "DAL110":
                    title="现存疾病(多选)";
                    framePageData = {'tag':tag,'name':'healthinfo','check':1,'code':code,'typenum':typenum};
                break;
                case "DAL018":
                    title="吞咽功能（单选）";
                    framePageData = {'tag':tag,'name':'healthinfo','code':code,'text':text};
                break;
                 case "DAL019":
                    title="失语症（单选）";
                    framePageData = {'tag':tag,'name':'healthinfo','code':code,'text':text};
                break;
                case "DAL015":
                    title="痴呆（单选）";
                    framePageData = {'tag':tag,'name':'healthinfo','code':code,'text':text};
                break;
                case "SPIRITDISA_YN":
                    title="精神疾病（多选）";
                    framePageData = {'tag':tag,'name':'healthinfo','code':code,'text':text};
                break;
                default:
                break;
            }
            queryItem(title,framePageData);
        }
    });
}

//根据字段名查询本地数据库
function queryItem(title,framePageData){
    // console.log("这里的传入值有点问题"+JSON.stringify(framePageData.text));
    var tag = framePageData.tag,
        item_len,
        param = {};
        // console.log("传入用于查询数据"+tag);
    DBUtil.queryCodeByTag(tag,function(ret, err){
        if(ret){
            item_len = ret.data.length;
            $('.item[tag="'+tag+'"]').attr("size",item_len);
            if(item_len < 10){          //查找到的数据小于10条的时候在当前页面创建节点
                createHtml(ret.data,framePageData);
                //调用方法生成子节点
                /*if(tag=='SPIRITDISA_YN'){
                // console.log("这是精神障碍"+tag);
                createJSZA();
                }else if(tag== 'FMDISA_YN' && typenum==1){
                    // console.log("这是家族病史"+tag);
                    createJZBS(framePageData);
                }*/

                return;
            }else{
                $("#"+tag).parent().parent().addClass("arrow_right");   
            }
        }else{
            console.log(JSON.stringify(err));
        }
    });
}

function createHtml(data,framePageData){
    // console.log(JSON.stringify(data));
    var item,
        check = framePageData.check,
        tag = framePageData.tag;
        text = framePageData.text;
        othertag = framePageData.othertag,
        hospital = framePageData.hospital;
        aaa102_item = $("#"+tag).find("span").attr("aaa102");
    var html = "";
           for(var i=0,len=data.length;i<len;i++){
        item = data[i];
        if(check){
            if(tag=="MED_PAY_TYPE"){
                if(typenum == 2 ){
                    html += '<div class="md-box md-ac list-item check">'
                }else if(typenum == 1){
                    html += '<div class="md-box md-ac list-item check">'
               }else{
                    html += '<div class="md-box md-ac list-item disabled hide check">'
               }
            }else{
                html += '<div class="md-box md-ac list-item check">'
            }
        }else{
            // if(tag=="DAL007"){
            //     // if(item.aaa102==1){
            //     //     html += '<div class="md-box md-ac list-item radio">'
            //     // }else{
            //     //     html += '<div class="md-box md-ac list-item disabled hide radio">'
            //     // }
            //     //kk写的支付方式的单选
            //     if(typenum == 2 && item.aaa102 == 1){
            //         html += '<div class="md-box md-ac list-item radio">'
            //     }else if(typenum == 1){
            //        html += '<div class="md-box md-ac list-item radio">'
            //     }else{
            //         html += '<div class="md-box md-ac list-item disabled hide radio">'
            //     }
            // }else{
                html += '<div class="md-box md-ac list-item radio on_'+item.aaa102+' an_id ="'+item.aaa102+'">'
            // }
        }
        html+='<div class="md-box md-img2 marg-r1 select-box"></div>'
            +'<div class="md-box check-contens fs-30 color-8a" aaa102="'+item.aaa102+'">'+item.aaa103+'</div>'
            +'</div>'

        // console.log(text+"首层子节点"+othertag)
        if(text&&othertag && i==len-1 && tag=='MED_PAY_TYPE' && typenum==1){
            html += '<input type="text" class="md-box md-size marg-r4 marg-l1 md-f1 marg-b2 pad-lr1 color-8a" placeholder="请输入其他信息..." aaa102="'+item.aaa102+'" value="'+text+'">'
        }else if(othertag && i==len-1 && tag=='MED_PAY_TYPE' && typenum==1){
            html += '<input type="text" class="md-box md-size marg-r4 marg-l1 md-f1 marg-b2 pad-lr1 hide color-8a" placeholder="请输入其他信息..." aaa102="'+item.aaa102+'">'
        }
    }
      

    if(hospital){
        html +='<div class="md-box md-ac md-f1 pad-b2 fs-30 color-8a">'
                +'习惯就诊医院：<input type="text" id="seeHospital" class="md-box md-size marg-r4 md-f1 marg-l1 pad-lr1 color-8a" placeholder="请输入习惯就诊医院...">'
              +'</div>'
    }
    $('#seeHospital').val(seeHospital); 
    $("."+tag).html(html);
}

//创建精神障碍的子节点，当申请类型为失智时，则加载该节点，并且显示子节点
function createJSZA(){
    var tag='DAL017';
    if(typenum == 1||typenum == 2){
      tag = 'DAL023';
    }
    DBUtil.queryCodeByTag(tag, function (data) {
            if (data) {
                var anslist = data.data;
                // console.log("我是子节点"+Base.jsonToStr(anslist));
                var html ='<div class="md-box md-ver marg-l3 md-size color-8a DAL016_son no-display" tag = "DAL017">';

                for (var i = 0; i < anslist.length; i++) {
                    html += '<div class="md-box md-ac md-size color-8a list-item check other-input">'
                    +'<div class="md-box md-img2 marg-r1 select-box"></div>'
                    +'<div class="md-box check-contens fs-30 color-8a" aaa102="'+anslist[i].aaa102+'">'+anslist[i].aaa103+'</div>'
                    +"</div>"
                }

                html+="</div>";
                $(".SPIRITDISA_YN").append(html);
            }
        });
    }

//精神障碍切换显示子节点
function showjszaItem(ansid){
    console.log("我进来了"+ansid);
   /*if(ansid == 1){
     $('.DAL016_son').removeClass('no-display');
   }else{*/
    $('.DAL016_son').addClass('no-display');
    //清除其他选中的值
    $(".other-input").removeClass("active");
    $(".other-input").val("");
    $("#SPIRITDISA_YN").parent().parent(".item").toggleClass("arrow_down");
    $(".SPIRITDISA_YN").toggleClass('hide');
   //}
}

function createJZBS(framePageData){
    var code = framePageData.code,
    text = framePageData.text,
    othertag = framePageData.othertag;
    var aaa102_qt = "";
    // console.log("我是子节点之上"+othertag);
     DBUtil.queryCodeByTag('DAL022', function (data) {
            if (data) {
                var anslist = data.data;
                console.log("我是子节点"+Base.jsonToStr(anslist));
                var html ='<div class="md-box md-ver marg-l3 md-size color-8a DAL012_son no-display" tag = "DAL022" othertag = "DAL022_QT">';

                for (var i = 0; i < anslist.length; i++) {
                    aaa102_qt = anslist[i].aaa102;
                    html += '<div class="md-box md-ac md-size color-8a list-item check other-input">'
                    +'<div class="md-box md-img2 marg-r1 select-box"></div>'
                    +'<div class="md-box check-contens fs-30 color-8a" aaa102="'+anslist[i].aaa102+'">'+anslist[i].aaa103+'</div>'
                    +"</div>"

                    //加入‘其他’输入框
                    // console.log("应该是这儿没把值传进去"+text);
                    console.log("告诉我值"+aaa102_qt);
                    if(text && aaa102_qt == 99 && i == anslist.length-1){
                        html += '<input type="text" class="md-box md-size marg-r4 marg-l1 md-f1 marg-b2 pad-lr1 color-8a other-input" placeholder="请输入其他信息..." aaa102="'+anslist[i].aaa102+'" value="'+text+'">'
                     }else if(aaa102_qt == 99 && i==anslist.length-1){
                        console.log("都求没进来"+aaa102_qt);
                        html += '<input type="text" class="md-box md-size marg-r4 marg-l1 md-f1 marg-b2 pad-lr1 hide color-8a other-input" placeholder="请输入其他信息..." aaa102="'+anslist[i].aaa102+'">'
                    }
                }
                html+="</div>";
                // console.log("家族病史子节点"+html);
                // $(".DAL012").append(html);
                // $(".DAL012").find("div[ans_id='1']").after(html);
                $(".FMDISA_YN").find(".on_1").after(html);
                console.log("安卓上没有效果"+html)
            }
        });
}

//家族病史切换显示子节点
function showjzbsItem(ansid){
    console.log("我进来了"+ansid);
   /*if(ansid == 1){
     $('.DAL012_son').removeClass('no-display');
   }else{*/
    $('.DAL012_son').addClass('no-display');
    //清除其他选中的值
    $(".other-input").removeClass("active");
    $(".other-input").val("");
    $("#FMDISA_YN").parent().parent(".item").toggleClass("arrow_down");
    $(".FMDISA_YN").toggleClass('hide');
   //}
}

Base.click(".list-item:not(.disabled)",function($this){
    console.log("触发子节点点击事件！");
    var isCheck = $this.hasClass("check"),
        aaa102,
        aaa103,
        tag = $this.parent().attr("tag"),
        othertag = $('.SEE_MED_TYPE:not(.hide)').attr('hospital'),
        othertags = $this.parent().attr("othertag"),
        ext,
        aaa102Array = [],
        aaa103Array = [],
        otherCode,
        isOtherActive;
        var aaa102_a = $this.find(".check-contens").attr("aaa102");
        console.log("tagss"+tag+""+othertags);
    //如果是失智类型的精神障碍就弹出子节点
    if(tag=='SPIRITDISA_YN'){
       showjszaItem(aaa102_a);
    }
    if(tag=='FMDISA_YN'){
        showjzbsItem(aaa102_a)
    }
    if(tag=='SEE_MED_TYPE'){
        $(".other-input").removeClass("active");
        $(".other-input").val("");
        $("#SEE_MED_TYPE").parent().parent(".item").toggleClass("arrow_down");
        $(".SEE_MED_TYPE").toggleClass('hide');
    }

    if(isCheck){
        $this.toggleClass("active");
    }else{
        $this.addClass("active").siblings().removeClass("active");
        //如果不是点击的这两个节点都直接隐藏
        if (typenum=='1') {
            // console.log("子节点显示与隐藏"+tag);
            if(!othertag && tag != 'SPIRITDISA_YN' && tag !='FMDISA_YN'){
               $("."+tag).addClass('hide');
               $("#"+tag).parent().parent(".item").toggleClass("arrow_down");
           }
        }else{
            if(!othertag && tag !='SPIRITDISA_YN'){
            $("."+tag).addClass('hide');
            $("#"+tag).parent().parent(".item").toggleClass("arrow_down");
          }
        }
        
    }
    otherCode = $this.find(".check-contens").attr("aaa102");
    console.log("我点击了"+otherCode+"dd"+othertags);
    isOtherActive = $this.hasClass("active");
   //|| othertags =="DAL008" || othertags == 'DAL022'
    if(othertag=="seeHospital" || othertags =="DAL008" || othertags == 'DAL022_QT'){
        ext = $this.parent().find('input').val()||'';
        console.log("我去居然为空的"+JSON.stringify(ext))  
    }
    if(otherCode==99 && isOtherActive && (othertag || othertags)){
        $this.parent().find("input").removeClass("hide");  
    }else if(otherCode==99 && (!isOtherActive) && (othertag || othertags)){
        $this.parent().find("input").addClass("hide").val('');
    }

    //如果点击的是精神疾病子节点中的子节点
    // if(typenum=='2' && tag=='DAL017'){
    if(tag=='DAL017'){
         aaa102Array.push(1);
        var objParent = $this.parent().eq(0);
        objParent.find(".active").each(function(i,e){
        aaa102 = $(e).find(".check-contens").attr("aaa102");
        aaa103 = $(e).find(".check-contens").text();
        aaa102Array.push(aaa102);
        aaa103Array.push(aaa103);
        });
       //子节点的数据需要DAL017转动DAL016
       tag = 'SPIRITDISA_YN';
    }else if(tag=='DAL022' && typenum==1){
         aaa102Array.push(1);
        var objParent = $this.parent().eq(0);
        objParent.find(".active").each(function(i,e){
        aaa102 = $(e).find(".check-contens").attr("aaa102");
        aaa103 = $(e).find(".check-contens").text();
        aaa102Array.push(aaa102);
        aaa103Array.push(aaa103);
        });
       //子节点的数据需要DAL022转动DAL012
       tag = 'FMDISA_YN';
    }else{
       $this.parent().find(".active").each(function(i,e){
        aaa102 = $(e).find(".check-contens").attr("aaa102");
        aaa103 = $(e).find(".check-contens").text();
        aaa102Array.push(aaa102);
        aaa103Array.push(aaa103);
        }); 
    }
    $("#"+tag).removeClass("color-d").addClass("color-8a");
    if(othertags == 'DAL008' || othertags == 'DAL022_QT'){
      othertag = othertags
    }
    $("#"+tag).html('<span tag="'+ tag +'" aaa102="'+aaa102Array.join(',')+'" othertag="'+othertag+'" text="'+ext+'">'+aaa103Array.join(',')+'</span>');
    console.log('<span tag="'+ tag +'" aaa102="'+aaa102Array.join(',')+'" othertag="'+othertag+'" text="'+ext+'">'+aaa103Array.join(',')+'</span>')
    // if(hospitaltag && !hospitalext){
    //     //提示填写医院输入信息不能为空      
    //    Base.toast('请填写医院','2000','middle');
    //    return; 
    // }
});

Base.click(".item",function($this){
    var aaa102_item,
        tag = $this.attr("tag"),
        hasDown = $this.hasClass("arrow_down"),
        aaa102Array = $("#"+tag).find("span").attr('aaa102'),
        hospitaltag = $('.SEE_MED_TYPE:not(.hide)').attr('hospital'),
        hospitalext = $('.SEE_MED_TYPE').find('input').val(),
        ext = $("#"+tag).find("span").attr("text")||'',
        item_len = $this.attr("size");
        click_tag = true;
    // if(hospitaltag){
    //     //提示填写医院输入信息不能为空
    //     if($('.DAL009').find(".list-item").hasClass("active") && !hospitalext){
    //        Base.toast('请填写医院','2000','middle');
    //        return; 
    //     };
    // }
    if(ext && ext!="undefined"){
        $('.'+tag).find('input').val(ext||'');
    }
    if(!$this.hasClass("arrow_right")){
        $this.toggleClass("arrow_down");
    }

    if(item_len<10){
        if(hasDown){
            $this.siblings('.item')
                 .addClass("arrow_down")
                 .siblings('.list-box')
                 .addClass('hide');
        }
        $('.'+tag).toggleClass("hide");

        if (aaa102Array) {
                console.log("回显de"+tag)
                aaa102Array = aaa102Array.split(",");
                console.log("回显的护据"+aaa102Array)
                for(var i=0,len=aaa102Array.length;i<len;i++){
                    $("."+tag).find(".check-contens[aaa102='"+aaa102Array[i]+"']").parent().addClass("active");
                }
            }
                    // //失能的时候回显‘其他’信息
    console.log("回显‘其他’时的"+tag)
    console.log("回显‘其他’时的"+ext)
    if(!$('.list-box.'+tag).hasClass('hide') && $('.list-box.'+tag).find(".list-item").last().hasClass("active")&& ext){
        // console.log("修改时不是缓存就不显示了吗");
        $('.list-box.'+tag).find('input').removeClass('hide');
        $('.list-box.'+tag).find('input').val((ext == undefined||ext == "undefined")?"":ext);
    }else if(!$('.list-box.'+tag).hasClass('hide') && tag == 'FMDISA_YN' && typenum == 1 && ext){
        console.log("修改时不是缓存就不显示了吗");
        $('.list-box.'+tag).find('input').removeClass('hide');
        $('.list-box.'+tag).find('input').val((ext == undefined||ext == "undefined")?"":ext);
    }

    var aaa102_a = $(".list-box."+tag).find('.active').find('.check-contens').attr("aaa102");
    if(tag=='SPIRITDISA_YN' && aaa102_a == 1){
    // var aaa102_a = $(".list-box.DAL016").find('.active').find('.check-contens').attr("aaa102");
    // console.log("子节点不显示"+aaa102_a);
        $('.DAL016_son').removeClass('no-display');
    }
    if(tag == 'FMDISA_YN' && typenum == 1 && aaa102_a == 1){
        // var aaa102_a = $(".list-box.DAL012").find('.active').find('.check-contens').attr("aaa102");
        $('.DAL012_son').removeClass('no-display');
    }

    }else{
        var param = {};
        var code,text,$itemNode;
        if(tag){
            $itemNode = $("#"+tag).find("span");
            code = $itemNode.attr("aaa102");
            text = $itemNode.attr("text");
            var others = $itemNode.attr("othertag");
            console.log("我想知道你是哪来的"+code+text);
            console.log("点击item的时候"+tag);
            // var others = ["DAL120_qt","DAL121_qt","DAL122_qt","DAL123_qt","DAL124_qt","DAL125_qt","DAL126_qt","DAL127_qt","DAL128_qt","DAL129_qt"]
            switch(tag){
                case "MED_PAY_TYPE":
                    param.title="医疗支付方式（单选）";
                    param.framePageData = {'tag':tag,'name':'healthinfo','code':code,'text':text};
                break;
                case "SEE_MED_TYPE":
                    param.title="就医方式（单选）";
                    param.framePageData = {'tag':tag,'name':'healthinfo','hospital':'seeHospital','code':code,'text':text};
                break;
                case "OPRN_HISTORY":
                    param.title="手术史（单选）";
                    param.framePageData = {'tag':tag,'name':'healthinfo','code':code,'text':text};
                break;
                case "FMDISA_YN":
                    param.title="家族病史（单选）";
                    param.framePageData = {'tag':tag,'name':'healthinfo','code':code,'text':text};
                break;
                case "EXISTDISA":
                    param.title="现存疾病(多选)";
                    param.framePageData = {'tag':tag,'name':'healthinfo','check':1,'othertag':others,'code':code,'text':text,'typenum':typenum,'recover':recover};
                break;
                case "DAL110":
                    // var others = ["DAL120_qt","DAL121_qt","DAL122_qt","DAL123_qt","DAL124_qt","DAL125_qt","DAL126_qt","DAL127_qt","DAL128_qt","DAL129_qt"]
                    param.title="现存疾病(多选)";
                    param.framePageData = {'tag':tag,'name':'healthinfo','check':1,'code':code,'text':text,'othertag':others,'typenum':typenum,'recover':recover};
                break;
                case "DAL018":
                    param.title="吞咽功能（单选）";
                    param.framePageData = {'tag':tag,'name':'healthinfo','code':code,'text':text};
                break;
                 case "DAL019":
                    param.title="失语症（单选）";
                    param.framePageData = {'tag':tag,'name':'healthinfo','code':code,'text':text};
                break;
                case "DAL015":
                    param.title="痴呆（单选）";
                    param.framePageData = {'tag':tag,'name':'healthinfo','code':code,'text':text};
                break;
                case "SPIRITDISA_YN":
                    param.title="精神疾病（单选）";
                    param.framePageData = {'tag':tag,'name':'healthinfo','code':code,'text':text};
                break;
                default:
                break;
            }
            console.log("点击item的时候"+tag);
            param.name="demo_plugins_win";
            param.url="wgt://disa/apply/demo_plugins_win.html";
            param.frameName="demo_plugins_frame";
            param.frameUrl="wgt://disa/apply/demo_plugins_frame.html";
            Base.openWin(param);
        }
    }
});

$(document).on("blur",".list-box input",function(){
    var $this = $(this),
        tag = $this.parent().parent().attr("tag"),
        othertag = $this.parent().parent().attr("hospital"),
        othertags = $this.parent().attr("othertag"),
        tags = $this.parent().attr("tag"),
        ext = $this.val();
        console.log("点击修改的时候22"+tag+tags+"MMMMMMM"+othertags);
        if(tag=='FMDISA_YN'){
            othertag = othertags;
        }else if(tags=='MED_PAY_TYPE'){
            othertag = othertags;
            tag = tags;
        }
        console.log("点击修改的时候"+othertag+"nnnnnn"+tag);
    $("#"+tag).find("span").attr({
        'othertag':othertag,
        'text':ext
    });
});

$("textarea").on("click",function(e){
    e.stopPropagation();
    click_tag = true;
});

function setCheckItem(tag, options) {
    var html = [],
        // isHospital = (tag == 'SEE_MED_TYPE'),
        aaa102Array = [], // 选项的id
        aaa103Array = []; // 展示的文字
        // if(typenum =='2' ){
          var othertag = [],
           ext=[]; // 扩展字段
        // }else{
        //     var othertag='',
        //     ext='';
        // }
       
    // console.log("传过来的值"+tag)
    for(var i=0,len=options.length; i<len; i++) {
        var option = options[i];
        // console.log("jjjss"+option);
        aaa102Array.push(option.aaa102);
        // if(typenum == '2'){
           
           
            othertag.push(option.tag);
      
            ext.push(option.ext);
        

           

        // }else{
        //    othertag = option.tag || ''; 
        //    ext = option.ext;
        // }
        var aaa103 = option.aaa103;
        aaa103Array.push(aaa103);
    }
    // console.log("其他的标签"+othertag)
    // 渲染页面
    var aaa103ArrayStrVal = aaa103Array.join(',');
    // if(typenum == '2'){
     var str = '<span tag="'+ tag +'" aaa102="'+aaa102Array.join(',')+'" othertag="'+othertag.join(',')+'" text="'+(ext.join(','))+'">'+aaa103Array.join(',')+'</span>'
    // }else{
    //  var str = '<span tag="'+ tag +'" aaa102="'+aaa102Array.join(',')+'" othertag="'+othertag+'" text="'+(ext||'')+'">'+aaa103Array.join(',')+'</span>'
    // }
    $("#"+tag).removeClass("color-d").addClass("color-8a");
    $('#'+tag).html(str);
    // 保存有效的选项信息
    if(options.length > 0) {
        healthinfo[tag] = options;
    }
    console.log("setCheckItem时"+JSON.stringify(healthinfo[tag]));
}

function accidentInfo(issues) {
    accidentIssues = JSON.parse(issues);
    for(var issue in accidentIssues){
        var item = {
            aaa102: accidentIssues[issue][0].aaa102,
            aaa103: accidentIssues[issue][0].aaa103
        };
        healthinfo[issue] = item; 
     };
     $('.accident .item-text').removeClass("color-d").addClass("color-8a");
     $('.accident .item-text').text("已填写");
}

Base.click(".accident",function($this){
    var param = {};
    param.name="accident_win";
    param.url="wgt://disa/common/common_win.html";
    param.frameName="accident_frame";
    param.title="近30天发生的意外事件";
    param.frameUrl="wgt://disa/apply/accident_frame.html";
    param.reload = "true";
    param.framePageData = {"recover":recover,"issues":accidentIssues,"typenum":typenum};
    Base.openWin(param);
});

function drugsInfo(drugs) {
    drugsTemp = drugs;
    healthinfo['drugs'] = drugs; 
    $('.drugs .item-text').removeClass("color-d").addClass("color-8a");
    $('.drugs .item-text').text("已填写");
}

Base.click(".drugs",function($this){
    var param = {};
    param.name="accident_win";
    param.url="wgt://disa/common/common_win.html";
    param.frameName="drugs_frame";
    param.title="用药情况";
    param.frameUrl="wgt://disa/apply/drugs_frame.html";
    param.reload = "true";
    param.framePageData = {"recover":recover,"drugs":drugsTemp,"typenum":typenum};
    Base.openWin(param);
});
$('.drugs').addClass('hide');

Base.click(".save-btn",function($this){
    saveInfo();
});

function saveInfo() {
    var dal017 = obtainDal017();
    var othertag = $('.list-box:not(.hide)').attr('hospital');
    if(dal017) {
        healthinfo['memo'] = dal017;
    }
    var $items = $('span[tag]');
    if($('.accident .item-text').text() != "已填写") {
        Base.toast('还有必填信息未填写，请填写后提交！','2000','middle');
        return;
    }
    var medPayType = $('#MED_PAY_TYPE').text();
    var seeMedType = $('#SEE_MED_TYPE').text();
    var oprnHistory = $('#OPRN_HISTORY').text();
    var fmdisaYn = $('#FMDISA_YN').text();
    var existdisa = $('#EXISTDISA').text();
    var spiritdisaYn = $('#SPIRITDISA_YN').text();
    if(medPayType == undefined || medPayType == null || medPayType == '' || medPayType == '点击选择'){
        Base.toast('请选择医疗支付方式！','2000','middle');
        return;
    }
    if(seeMedType == undefined || seeMedType == null || seeMedType == '' || seeMedType == '点击选择'){
        Base.toast('请选择就医方式！','2000','middle');
        return;
    }
    if(oprnHistory == undefined || oprnHistory == null || oprnHistory == '' || oprnHistory == '点击选择'){
        Base.toast('请选择手术史！','2000','middle');
        return;
    }
    if(fmdisaYn == undefined || fmdisaYn == null || fmdisaYn == '' || fmdisaYn == '点击选择'){
        Base.toast('请选择家族病史！','2000','middle');
        return;
    }
    if(existdisa == undefined || existdisa == null || existdisa == '' || existdisa == '点击选择'){
        Base.toast('请选择现存疾病！','2000','middle');
        return;
    }
    if(spiritdisaYn == undefined || spiritdisaYn == null || spiritdisaYn == '' || spiritdisaYn == '点击选择'){
        Base.toast('请选择精神疾病！','2000','middle');
        return;
    }
    for(var i=0,len = $items.length; i<len; i++){
        var $item = $($items[i]),
            aaa103 = $item.text();
        if(aaa103 != undefined && aaa103 != null) { // 去除首尾空白字符
            aaa103 = aaa103.trim();
        }
        /*if(aaa103 == undefined || aaa103 == null || aaa103 == '' || aaa103 == '点击选择') {
            Base.toast('还有必填信息未填写，请填写后提交！','2000','middle');
            return;
        }*/
        var item = {},
            tag = $item.attr('tag'),
            aaa102 = $item.attr('aaa102');
        if(aaa102 || aaa102 == '0') {
            item['aaa102'] = aaa102;
        }
        var itemOtherTag = $item.attr('othertag');
        var ext = $item.attr('text');
        if(itemOtherTag && itemOtherTag !="undefined" && ext && ext != "undefined") {
            item['ext_tag'] = itemOtherTag;
            item['ext'] = ext.trim();
        }
        if(tag=='DAL110' || tag=='EXISTDISA'){
            var itemOtherTags = itemOtherTag.split(",");
            var exts = ext.split(","); 
            for(var x = 0;x < itemOtherTags.length;x++){
                if(itemOtherTags[x] && itemOtherTags[x] !="undefined" && itemOtherTags[x] !="" && exts[x] && exts[x] != "undefined" && exts[x] != "") {
                     item['ext_tag'+x] = itemOtherTags[x];
                     item['ext'+x] = exts[x].trim();
               }
            }

        }
        item['aaa103'] = aaa103;
        var ot = {};
        if(tag =='SPIRITDISA_YN'){
            ot['aaa102'] = '1';
            ot['aaa103'] = '精神障碍';
            healthinfo['spiritdisaYn'] = item;
            tag = 'DAL023';
            healthinfo[tag] = item;
        }else if(tag == 'EXISTDISA'||tag == 'DAL110'){
           healthinfo['existdisa'] = item;
        }else if(tag == 'FMDISA_YN'){
            ot['aaa102'] = '1';
            ot['aaa103'] = '有';
            healthinfo['fmdisaYn'] = item;
            healthinfo['DAL022'] = item;
        }else if(tag == 'OPRN_HISTORY'){
            //手术史
            ot['aaa102'] = '1';
            ot['aaa103'] = '有';
           healthinfo['oprnHistory'] = item;
        }else if(tag == 'MED_PAY_TYPE'){
           healthinfo['medPayType'] = item;
        }else if(tag == 'SEE_MED_TYPE'){
           healthinfo['seeMedType'] = item;
        }else{
            healthinfo[tag] = item;
        }
        healthinfo["zha011"] = typenum;

        if(tag =='SPIRITDISA_YN' && aaa102 == '0' && typenum == 1){
            delete healthinfo["DAL023"]
        }
        if(tag == 'FMDISA_YN' && !(aaa102!='0' && aaa102 != '2') && typenum == 1){
            console.log("测试进入"+aaa102);
            delete healthinfo["DAL022"]
        }
        delete healthinfo["EXISTDISA"];
    }
    if($('textarea').val().length>200){
        Base.toast('备注描述信息不能超过200字！','2000','middle');
        return;
    }
    if($('#seeHospital').val()){
        healthinfo['seeHospital'] = $('#seeHospital').val();
    }
    console.log('保存healthinfo缓存：' + JSON.stringify(healthinfo));
    if(recover == "1"){
        Base.setStorage(userid + 'tempHealthInfo'+typenum,healthinfo);
    }else{
        Base.setStorage(userid + 'healthInfo'+typenum,healthinfo);
    }
   md.confirm({
        title: '就医及健康状况',
        msg:'保存成功！',
        buttons: ['确定', '取消']
    },function( ret, err ){
        var buttonIndex = ret.buttonIndex;
        if(buttonIndex==1){
            md.closeWin();
        }
    });
    md.execScript({
        name: 'commit_win',
        frameName: 'apply_frame',
        script: 'setStatus("jkzk")',
    });
}


$("textarea").on("blur",function(){
    if($('textarea').val().length > 200){
        Base.toast('其他描述信息不能超过200字！','2000','middle');
        return;
    }
});

/**
 * 从页面获取备注字段的值。
 */
function obtainDal017() {
    var dal017 =$('textarea').val();
    if(dal017) { 
        dal017 = dal017.trim();
    }
    if(dal017) {
       return { aaa103: dal017 ,  aaa102: dal017 };
       // return dal017;
    }
    return null;
}

function goBack(){
    if(click_tag){
        md.confirm({
            title: '温馨提示：',
            msg: '是否确定放弃本次操作？',
            buttons: ['确定', '取消']
        },function( ret, err ){
            var buttonIndex = ret.buttonIndex;
            if(buttonIndex==1){
                md.closeWin();
            }
        });
    }else{
        md.closeWin();
    }
}





