var isRefesh,
    result_data = {};
Base.ready(function(){
    pullRefresh.setHeader(function(ret, err) {
        if(ret.state==='begin'){
            isRefesh = true;
            queryResultInfo();
          }
      
    });
    pullRefresh.headerLoading();
    //根据对应的报告送达时间，判断是否能够进行复评。
});

function queryResultInfo(){
    var param={ aac001:md.getPrefs({key: 'userid'}) };
    var zaj031CodeData = {};
    //能力等级码表查询
    DBUtil.queryCodeByTag('ZAJ031',function(data){
        var codeItem = data.data;
        for(var j=0,len= codeItem.length;j<len;j++){
            zaj031CodeData[codeItem[j].aaa102] = codeItem[j].aaa103;
        }
    });

    //结论数据展示
     Base.callBusiness("czx011",param, function(data){
        if(data.code == Base.FW_Success){
            var resultData = data.data;
            //能否查看评估结果
            var delivered = resultData.zaj032;
            $(".content-box").removeClass("hide");
            if(delivered){
                var flag = setHideAndShowBtn(delivered);
                if (!flag) {
                    pullRefresh.headerDone({hide:true});
                    return;
                }
            }else{
                //送达时间没有填写不能查看结果
                Base.noDataPage(".content-box");
                pullRefresh.headerDone({hide:true});
                return;
            }
            console.log("结论数据"+Base.jsonToStr(resultData));
            initRadar(resultData);
            result_data = resultData;
            for(var key in resultData ){
                if(key == "zaj030"){
                    if(resultData[key]){
                        $("#zaj030").html(resultData[key].substring(0,10)||"暂无");
                    }
                    continue;
                }
                if(key == "dac004"){
                    $("#dac004").val(resultData[key]||"暂无");
                    continue;
                }
                if(key == "zaj031_value"){
                    $(".progress-box1 .pro-item[tag='"+resultData[key]+"']").html('<div class="md-img2 arrow_down"></div>');
                    continue;
                }
                $("#"+key).html(resultData[key]||"暂无");
            }
            //伤口展示
            if(resultData.zpl304==1){
                $("#zpl305").html("正常");
            }
            if(resultData.zpl305_value){
                if(resultData.zpl305_value.indexOf("4") != -1){
                    //存在伤口项，需要进行展示
                    var zpl306 = resultData.zpl306||"无"//部位
                    var zpl307 = resultData.zpl307||"无"//大小
                    var zpl308 = resultData.zpl308||"无"//等级
                    var zpl309 = resultData.zpl309||"无"//类别
                    var zpl310 = resultData.zpl310||"无"//其它伤口
                    //设置值
                    $("#zpl306").html(zpl306);
                    $("#zpl307").html(zpl307);
                    $("#zpl308").html(zpl308);
                    $("#zpl309").html(zpl309);
                    $("#zpl310").html(zpl310);

                    //展示
                    $("#cut-content").removeClass("hide");
                }
            }

            //初评结论展示
            var firstData = resultData.opinionVo_first;
            var secondData = resultData.opinionVo_second;
            if(firstData){
                $(".summarize-info").eq(1).removeClass("hide");
                for (var item in firstData) {
                   if(item == "zaj031"){
                        $(".progress-box2 .pro-item[tag='"+firstData[item]+"']").html('<div class="md-img2 arrow_down"></div>');
                        $("#first_zaj031_text").html(zaj031CodeData[firstData[item]]||"暂无");
                        continue;
                    }
                    $("#first_"+item).html(firstData[item]||"暂无");
                }
            }
            //复评结论展示
            if(secondData){
                $(".summarize-info").eq(2).removeClass("hide");
                for (var item in secondData) {
                    if(item == "zaj031"){
                        $(".progress-box3 .pro-item[tag='"+secondData[item]+"']").html('<div class="md-img2 arrow_down"></div>');
                        $("#second_zaj031_text").html(zaj031CodeData[secondData[item]]||"暂无");
                        continue;
                    }
                    $("#second_"+item).html(secondData[item]||"暂无");
                }
            }
            //判断是否申请复评
            requestCheckPD();
        }else{
            Base.noDataPage(".content-box");
            $(".content-box").removeClass("hide");
        }
        pullRefresh.headerDone({hide:true});
    });
}
    /*验证是否能够进行复评*/
    function requestCheckPD(){
        var param = {
            zhc001:result_data.zhc001||""
        };
        Base.callBusiness("czx035",param, function(data){
            console.log(Base.jsonToStr(data));
            if(data.code == Base.FW_Success){
                //展示申请复评按钮
                $(".review-btn").removeClass("hide");
            }else{
               $(".review-btn").addClass("hide");
            }
        });
        
    }

    /*根据派遣单状态判断是否可以展示申请复评按钮*/
    function checkDataType(zha009){
        //zha009==22//评估不通过，zha009==30
        if(zha009==41||zha009==42){
            return false
        }
        return true;

    }
    

//初始化雷达图
function initRadar(data){
    console.log(JSON.stringify(data));
    var chartData = initCharData(data);
    var myChart = echarts.init(document.getElementById('main'));
    var option = {
        radar: {
            indicator: [
               { name: '沟通/社交\n'+data.zaj010, min:0,max: 3},
               { name: '视力\n'+data.zaj006,min:0, max: 3},
               { name: '精神状态\n'+data.zaj004,min:0, max: 3},
               { name: '吞咽情况\n'+data.zal025,min:0, max: 4},
               { name: '活动能力\n'+data.zaj002, min:0,max: 3},
               { name: '听力\n'+data.zal008,min:0, max: 3}
            ],
            radius: 95,
            splitNumber: 5,
            name: {
                formatter:'{value}',
                textStyle: {
                    color:'#8a8c89'
                }
            },
            splitArea: {
                areaStyle: {
                    color: ['rgba(238,237,242, 1)',
                    'rgba(255, 255, 255, 1)', 'rgba(238,237,242, 1)',
                    'rgba(255, 255, 255, 1)', 'rgba(238,237,242, 1)'],
                }
            },
            splitLine: {
                lineStyle: {
                    width:0
                }
            },
            axisLine: {
                lineStyle: {
                    color: 'rgba(221, 221, 221, 1)'
                }
            },
        },
        series: [{
            name: '',
            type: 'radar',
            data : [
                {   
                    value : chartData,
                    name : '',
                    areaStyle: {
                        normal: {
                            color: 'rgba(30, 184, 250, 0.5)'
                        }
                    },
                    lineStyle: {
                        normal: {
                            width:0
                        }
                    },
                    itemStyle : {  
                        normal : {  
                            borderColor:'#fe8f80',
                            borderWidth:4,
                            color: 'rgba(150,150,150,1)',
                        }  
                    }
                }
            ]
        }]
    };
    myChart.setOption(option);
}

/*初始化雷达数据*/
function initCharData(data){
    var maxSize = 4;
    var type = ["zaj010_value","zaj006_value","zaj004_value","zal025_value","zaj002_value","zal008_value"];
    var dataArray= [];
    var len = type.length;
    for(var i=0;i<len;i++){
        if(type[i]=="zal025_value"){
            dataArray.push(maxSize-Number(data[type[i]]));
        }else{
            dataArray.push(maxSize-Number(data[type[i]]));
        }
    }
    return dataArray;
    
}

function setHideAndShowBtn(dateStr){
    var nowDate = new Date();
    var  dateStr = dateStr.substring(0,10);
    var deliveredDate = new Date(dateStr);
    // /*现在的时间减去送达时间*/
    var nowDateL = nowDate.valueOf();
    var deliveredDateL = deliveredDate.valueOf();
    var spaceTimesL = nowDateL-deliveredDateL;
    
    if(spaceTimesL<0){
        //送达时间之前不能查看结果
        Base.noDataPage(".content-box");
        return false;
    }else{
        $(".content").removeClass("hide");
        return true;
    }
}

Base.click(".review-btn",function($this){
    var param = {};
    param.name="applyreview_win";
    param.url="wgt://disa/common/common_win.html";
    param.frameName="applyreview_frame";
    param.title="申请复评";
    param.frameUrl="wgt://disa/apply/applyreview_frame.html";
    param.reload = true;
    param.framePageData = result_data;
    Base.openWin(param);
});

function goBack(){
    md.closeWin();
}