var start = 0;
var limit = 5;
var isRefesh = false;
var stringArray = [];
var stringArrayTag = [];
var userid;
Base.ready(function() {
    userid = Base.getStorage("userid");   //获取用户userid

    pullRefresh.setHeader(function(ret, err) {
        if(ret.state==='begin'){
            isRefesh = true; 
            console.log('下拉刷新');
            start = 0;
            limit = 5;
            stringArray = [];
            stringArrayTag = [];
            queryHeadIconList("down");
        }else{
            console.log("end refresh.");
        }
    });
    pullRefresh.setFooter(function(ret, err){
        if(ret.state==='begin'){
            console.log('上拉加载更多');
            start += 5;
            limit += 5;
            queryHeadIconList("up");
        }else{
            console.log("end refresh.");
        }
    });
    pullRefresh.headerLoading();
});

onViewClose=function(){
    pullRefresh.headerDone();
};

function queryHeadIconList(type){
    var userinfo = md.getPrefs({key: 'userinfo'});
    var userData = Base.strToJson(userinfo);
    var param = {};
    param['start'] = start;
    param['limit'] = limit;
    param['aac002'] = userData.aac002;

    Base.callBusiness("czx041",param, function(data){
        if(data.code==1){
            var recordData = data.data; 
            if(recordData == "" && start == 0){
                $(".content-box").addClass("hide");
                Base.noDataPage(".nopagedata");
                $(".nopagedata").removeClass("hide");
                if(type == "down"){
                    pullRefresh.headerDone();
                }else if(type == "up"){
                    pullRefresh.footerDone();
                }
                return;
            }
            if(recordData == "" && start > 0) {
                Base.toast("没有数据啦");
                start -= 5;
                limit -= 5;
                if(type == "down"){
                    pullRefresh.headerDone();
                }else if(type == "up"){
                    pullRefresh.footerDone();
                }
                return ;
            }
            createRecordList(recordData,type);
        }else{
            Base.toast(data.msg,'2000','middle');
        }
        pullRefresh.headerDone();
    }, false);
}

function createRecordList(recordData,type){
    Base.setStorage(userid + 'headicon_data', recordData);
    var zhf203CodeData={};
    var html = "";
    /*查询码表*/
    DBUtil.queryCodeByTag('ZHF203',function(data){
        // console.log(JSON.stringify(data));
        var codeItem = data.data;
        for(var j=0,len= codeItem.length;j<len;j++){
            zhf203CodeData[codeItem[j].aaa102] = codeItem[j].aaa103;
        }
        var arrayLen = stringArrayTag.length;
        /*执行节点添加*/
        for(var i=0,len=recordData.length;i<len;i++){
            console.log("列表数据："+JSON.stringify(recordData[i]));
            stringArrayTag.push("jqtx_"+Number(i+arrayLen));
            stringArray.push(".jqtx_"+Number(i+arrayLen));
            html += '<div class="md-box md-ver marg-tb2 bg-w list fs-30">'
                 +      '<div class="md-box md-ver md-pc">'
                 +          '<div class="md-box md-ac item">'
                 +              '<div class="md-box md-ae md-pc md-size pad-lr1 text md-ellipsis border-r">上传时间:</div>'
                 +              '<div class="md-box md-ae md-pc md-size pad-lr1 md-ellipsis tcolrv2">'+recordData[i].zhf002+'</div>'
                 +          '</div>'
                 +          '<div class="md-box md-ac item">'
                 +              '<div class="md-box md-ae md-pc md-size pad-lr1 text md-ellipsis border-r">审核结果:</div>'
                 +              '<div class="md-box md-ae md-pc md-size pad-lr1 md-ellipsis tcolrv2">'+(zhf203CodeData[recordData[i].zhf203]||'未审核')+'</div>'
                 +          '</div>'
                 +          '<div class="md-box md-ac item">'
                 +              '<div class="md-box md-ae md-pc md-size pad-lr1 text md-ellipsis border-r">审核时间:</div>'
                 +              '<div class="md-box md-ae md-pc md-size pad-lr1 md-ellipsis tcolrv2">'+(recordData[i].zhf207||'未审核')+'</div>'
                 +          '</div>'
                 +      '</div>'
                 +      '<div class="md-box md-ac item marg-tb1 pad-lr1 icon-box">'
                 +          '<div class="md-box md-ac pad-b2 jqtx_'+Number(i+arrayLen)+'" tag="jqtx_'+Number(i+arrayLen)+'">'
                 +          '</div>'
                 +      '</div>'
                 +  '</div>'

        }
        console.log("zhf203CodeData" + Base.jsonToStr(zhf203CodeData));
        console.log(Base.jsonToStr(stringArrayTag));
        if(type == "down"){
            $(".content-box").removeClass("hide");
            $(".content-box").html(html);
            getFileByRequest(arrayLen);
            pullRefresh.headerDone();
        }else if(type == "up"){
            $(".content-box").removeClass("hide");
            $(".content-box").append(html);
            getFileByRequest(arrayLen);
            pullRefresh.footerDone();
        }
    });
    return html;
}

/*获取图片用以返回数据*/
function getFileByRequest(arrayLen){
    console.log("执行getFileByRequest方法");
    var headicon_data = Base.getStorage(userid + 'headicon_data');
    console.log(headicon_data);
    headicon_data = JSON.parse(headicon_data);
    if(headicon_data.length>0){
        var len = headicon_data.length;
        var downFileUrl = "";
        var defaultUrl= "fs://download/";
        var item ={};
        var savePath = "";
        var inputJson = {};
        var fileId;
        var fileType;
        var downFileObj;
        var valueArraypromise=[];
        var pageObj = {};
        /*循环生成对应的缓存数据格式*/
       for (var j = arrayLen; j < stringArrayTag.length; j++) {
           pageObj[stringArrayTag[j]] = new Array();
        }
        /*循环下载图片*/
        for (var i = 0; i < len; i++) {
            downFileObj={};
            item = headicon_data[i];
            downFileUrl = defaultUrl+item.zhf015;//文件名
            fileId = item.zhf014;//文件id
            fileType = 'jqtx_'+Number(i+arrayLen);//文件类型;
            savePath = md.getSchemeURLRealPath({url:downFileUrl});
            pageObj[fileType].push({
                fileName:item.zhf015,
                fileUrl:savePath,
                typeName:fileType
            });
            inputJson = {yad906:{loginId:md.getPrefs({key: 'name'}),fileId:fileId},savePath:savePath};
            valueArraypromise.push(downloadFile(inputJson));
        }
        console.log("组装的缓存格式：："+JSON.stringify(pageObj));
        //组装完成之后，根据返回的文件数组进行页面图片的展示
        Promise.all(valueArraypromise).then(function(obj){
            console.log("下载完毕: "+Base.jsonToStr(obj));
            //当下载完成之后设置对应的图片
            for (var f = arrayLen; f < stringArrayTag.length; f++) {
                md.setPrefs({
                    key: stringArrayTag[f],
                    value: Base.jsonToStr(pageObj[stringArrayTag[f]])
                });
            }
            //设置完成之后,可能在ios上会有问题，导致这个是吧
            setTimeout(function(){
                initPage();
            },0);
        });
    }else{
        if(recover){
            pullRefresh.headerDone({hide:true});
        }  
        setTimeout(function(){
            initPage();
        },0);
    }
}

/*文件异步下载*/
function downloadFile(jsonObj){
    return Promise(function(resolve,reject){
        yhbcp.download(jsonObj,function(ret){
            if(ret){
                resolve(ret);
            }else{
                reject();
            }   
        });
    });
}
/*图片上传初始化*/
function initPage(){
    var len = stringArray.length;
    var tag = "";
    for (var i = 0; i < len; i++) {
        console.log($(stringArray[i]).attr("tag"));
        tag = $(stringArray[i]).attr("tag");
        console.log(tag);
        var obj = {
            parentNode:stringArray[i],
            saveFileName:tag,
            photoMaxNumber:"1"
        };
        console.log(tag);
        $.imgPlug(obj);
    }
}

function goBack(){
    md.closeWin();
}