var aac002,userinfo,face_threshold,nurseData;
Base.ready(function() {
    initPage();
});

Base.click(".video",function($this){
    aac002 = userinfo.certno;
    $.HLVideoCapture(aac002);
})

function initPage () {
    userinfo = JSON.parse(Base.getStorage("userinfo"));
    nurseData = JSON.parse(md.getPrefs({key: 'nurseData'}));
    $("#AAC003").val(userinfo.psnName);
    $("#AAC002").val(userinfo.certno);
    $("#AAC004").text(Base.Gend[userinfo.gend]);
    $("#ZHS002").text(nurseData.nurseTypeDesc);
    $("#ZAC005").val(userinfo.resdAddr);
}

//调用人像识别接口回调
function submitRespBack(data,videoFilePath){
    fnSuccess(data,videoFilePath);     
}

//成功返回
function fnSuccess(result,videoFilePath){
    $("#ZHG008").val(Math.floor((result.similarity) * 100) / 100);
    var codeArray=["zhg004"],
        param = {};
    var msg1 = '',isPass = false;
    if( result.similarity >= 0.8){//通过
        param = { zhg004:'2' };
        msg1 = '比对成功，身份核验通过！';
        isPass = true;
        $("#ZHG004").text('核验通过');
    }else{
        param = { zhg004:'3' };
        msg1 = '比对成功，但未通过身份核验(相似度不足)！';
        $("#ZHG004").text('核验未通过');
    }
    apply.getVCode(param,codeArray);
    md.confirm({
        title: '核验结果',
        msg: msg1,
        buttons: ['重新核验','退出', '立即上传']
    }, function(ret, err){
        if(ret.buttonIndex == "1"){
            $.HLVideoCapture(aac002);
        }else if(ret.buttonIndex == "3"){
            saveVerify(videoFilePath, isPass, result);
        }
    });
}

function saveVerify(videoFilePath, isPass, videoData){
    if(videoFilePath){
        uploadForAllSaveApi(videoFilePath, isPass, videoData)
    }else{
        Base.toast("尚未进行身份核验！");
        return;
    }  
}

// 调用统一存储
function uploadForAllSaveApi (videoFilePath, isPass, videoData) {
    var fileName = new Date().getTime() + '.mp4';
    var params = {
        fileName: fileName,
        thumbUrl: videoFilePath
    }
    Base.requestData('C01015', params, function (res) {
        if (res.code == Base.REQUEST_CODE.SUCC) {
            fileid = res.data.ltciFileId;
            getLocation(isPass, videoData, fileid);
        } else {
            if (res.code == Base.REQUEST_CODE.LOSE_TOKEN) {
                md.toast({msg: "您尚未登录，请先登录！"});
                Base.toLogin();
                return;
            }
            md.toast({
                msg: '统一存储图片ID获取失败，请重新上传！',
                duration: 2000,
                location: 'middle'
            });
        }
    }, true)

}

function submitSave(isPass, videoData, fileId, lon, lat, address) {
    var params = {
        disaId: userinfo.disaId,
        psnNo: userinfo.psnNo,
        psnName: userinfo.psnName,
        certno: userinfo.certno,
        vfctType: 1,
        vfctStas: isPass ? 1 : 2,
        smlr: videoData.similarity,
        longitude: lon,
        latitude: lat,
        gpsAddr: address,
        ltciFileId: fileId,
        memo: "",
        usccAssess: nurseData.usccAssess,
        usccNurse: nurseData.usccNurse,
        liveAdmdvs: nurseData.liveAdmdvs,
        liveAddr: nurseData.liveAddr
    };
    Base.requestData("D01019",params, function(data){
        if(data.code == Base.REQUEST_CODE.SUCC){
            var msg = '';
            md.confirm({
                title: '身份核验',
                msg: '身份核验视频保存成功！',
                buttons: ['确定']
            },function( ret, err ){
                md.execScript({
                    name: 'verify_win',
                    frameName: 'verify_frame',
                    script: 'queryApplyStatus()'
                });
                md.closeWin();
                $.removeSaveVideo(videoFilePath);//删除图片文件
            });
        } else {
            if (data.code == Base.REQUEST_CODE.LOSE_TOKEN) {
                md.toast({msg: "您尚未登录，请先登录！"});
                Base.toLogin();
                return;
            }
            md.toast({
                msg: data.message,
                duration: 2000,
                location: 'middle'
            });
        }
    }, true);
}

function getLocation(isPass, videoData, fileId) {
    bMap.getLocation({
        accuracy: '100m',
        autoStop: true,
        filter: 1
    }, function(ret, err){
        if(ret.status){
            var lon = ret.lon;
            var lat = ret.lat;
            getAddress(lon, lat, isPass, videoData, fileId)
        }else{
            console.log(err.code);
        }
    });
}

function getAddress(lon, lat, isPass, videoData, fileId) {
    bMap.getNameFromCoords({
        lon: lon,
        lat: lat
    },function(ret,err){
        if(ret.status){
            submitSave(isPass, videoData, fileId, ret.lon, ret.lat, ret.address)
        } else {
            console.log(JSON.stringify(err))
        }
    });
}