onViewOpen = function () {
    //to do something
    initPage();
};
var userinfo = {};
var REGISTINFO = {
	LOGINID: "",
    PWD: "",
    TEL: "",
    CODE: ""
}
var PWDVERIFY = {
	0: './img/wrong1.png',
	1: './img/pass2.png'
}
var SECONDS = 60;
var interval = null;
var settime = null;
// 初始化
function initPage () {
	userinfo = md.pageParam;
	REGISTINFO.TEL = userinfo.tel;
	// 手机号脱敏
	var tel = REGISTINFO.TEL.slice(0, 3) + REGISTINFO.TEL.slice(3, 7).replace(/\d/g ,'*') + REGISTINFO.TEL.slice(7);
	$("input[name='tel']").val(tel);
	//$("input[name='tel']").val(REGISTINFO.TEL);
}

// 密码输入合格或不合格的提示
$(".pwd-input").on("input", function (e) {
	var pwd2 = Base.trim($(".pwd-sure").val());
	var pwd1 = Base.trim(e.target.value);
	var lvl = passwordLevel(pwd1);
	// 函数防抖
	if (settime) {
		clearTimeout(settime);
		settime = setTimeout(function() {
			viewFromPwdLevel(lvl)
			clearTimeout(settime);
		}, 500)
	} else {
		settime = setTimeout(function() {
			viewFromPwdLevel(lvl)
			clearTimeout(settime);
		}, 500)
	}
	// 如果存在确认密码就校验确认密码和当前密码是否相等
	if (pwd2 && pwd2 !== pwd1) {
		$(".nopass").removeClass("no-display");
		$(".pwd2-verify").addClass("no-display");
	} else {
		$(".nopass").addClass("no-display");
		// $(".pwd2-verify").removeClass("no-display");
	}
	if (pwd2 && pwd2 === pwd1) {
		$(".pwd2-verify").removeClass("no-display");
	}
})

// 手机号输入合格或不合格的提示
$(".tel-sure").on("input", function (e) {
	var tel = Base.trim($(".tel-sure").val());
	var vtel = telLevel(tel);
	// 函数防抖
	if (settime) {
		clearTimeout(settime);
		settime = setTimeout(function() {
			clearTimeout(settime);
		}, 500)
	} else {
		settime = setTimeout(function() {
			clearTimeout(settime);
		}, 500)
	}
	// 判断手机格式是否正确
	if (!vtel) {
		$(".telnopass").removeClass("no-display");
	} else {
		$(".telnopass").addClass("no-display");
	}
})

// 确认密码输入合格和不合格提示
$(".pwd-sure").on("input", function (e) {
	var pwd2 = Base.trim(e.target.value);
	var pwd1 = Base.trim($(".pwd-input").val());
	var lv1 = passwordLevel(pwd1)
	// 如果密码没输入就不做验证
	if (!pwd1) {
		return;
	}
	if (settime) {
		clearTimeout(settime);
		settime = setTimeout(function() {
			pwdEqual(pwd1, pwd2)
			clearTimeout(settime);
		}, 500)
	} else {
		settime = setTimeout(function() {
			pwdEqual(pwd1, pwd2)
			clearTimeout(settime);
		}, 500)
	}

	if (pwd2 && pwd2 !== pwd1) {
		$(".nopass").removeClass("no-display");
		$(".pwd2-verify").addClass("no-display");
	} else {
		$(".nopass").addClass("no-display");
	}
	if (pwd2 && pwd2 === pwd1) {
		// 密码不符合规则时不校验确认密码
		if ( lv1 !== 1) {
			$(".pwd2-verify").addClass("no-display");
		} else {
			$(".pwd2-verify").removeClass("no-display");
		}
		
	}
})
// 长按密码显示
$(".show-pwd1").on("touchstart", function(e) {
	$(".pwd-input").attr('type','text')
})
$(".show-pwd2").on("touchstart", function(e) {
	$(".pwd-sure").attr('type','text')
})
// 松开密码隐藏
$(".show-pwd1").on("touchend",function(){
	$(".pwd-input").attr('type','password')
})
$(".show-pwd2").on("touchend",function(){
	$(".pwd-sure").attr('type','password')
})
// 校验确认密码是否和原密码相同
function pwdEqual (pwd1, pwd2) {
	if (pwd1 !== pwd2) {
		$(".nopass").removeClass("no-display");
	} else {
		$(".nopass").addClass("no-display");
	}
}

// 根据密码等级渲染视图
function viewFromPwdLevel (lvl) {
	var lvldom = $(".pwd-verify");
	lvldom.removeClass("no-display");
	lvldom.attr("src", PWDVERIFY[lvl]);
}

// 获取验证码
$(".btn-verify").on("click", function () {
	if (this.classList.contains("bg-g")) return;
	var phonenumber = REGISTINFO.TEL;
	var btnDom = $(".btn-verify");
	btnDom.addClass("bg-g");
	clearInterval(interval)
	interval = setInterval(function() {
		if (SECONDS <= 1) {
			btnDom.removeClass("bg-g");
			btnDom.text('获取验证码');
			clearInterval(interval);
			SECONDS = 60;
			return;
		}
		btnDom.text('获取验证码（' + --SECONDS + 's)');
	}, 1000);
	getVerifyCode(phonenumber);
})

// 点击提交按钮
$(".btn-submit").on("click", function () {
	if (validInput()) {
		submitRegist();
	}
})

// 提交注册
function submitRegist () {
	var rsaKey = bodyRSA(); // 加密方法
    var tel = REGISTINFO.TEL.slice(0, 3) + REGISTINFO.TEL.slice(3, 7).replace(/\d/g ,'*') + REGISTINFO.TEL.slice(7);
    if(tel==REGISTINFO.TEL){
        REGISTINFO.TEL = userinfo.tel;
    }    
	var params = {
		"psnName": userinfo.psnName,
	    "certno": userinfo.certno,
	    "loginId": REGISTINFO.LOGINID,
	    "password": encryptString(rsaKey, REGISTINFO.PWD),
	    "tel": REGISTINFO.TEL,
	    // "checkCode": REGISTINFO.CODE
	}

	Base.requestData("L01002", params, function (res) {
		if (res.code === 0) {
			md.toast({msg: res.message});
			md.sendEvent({name: 'goback'});
			md.closeWin();
			// Base.toLogin();
		} else {
			REGISTINFO.CODE = '';
			$("input[name='code']").val('');
			md.toast({msg: res.message});
		}
	})
}

// 验证填写信息
function validInput () {
	console.log(Base.trim($("input[name='pwd']").val()))
	REGISTINFO.LOGINID = Base.trim($("input[name='loginid']").val());
	REGISTINFO.PWD = Base.trim($("input[name='pwd1']").val());
	var pwd2 = Base.trim($("input[name='pwd2']").val());
	REGISTINFO.CODE = Base.trim($("input[name='code']").val());
	REGISTINFO.TEL =  Base.trim($("input[name='tel']").val());
	if (!loginLevel(REGISTINFO.LOGINID)) {
		md.toast({msg: '用户名不合法！'});
		return false;
	} else if (!REGISTINFO.PWD) {
		md.toast({msg: '请输入密码！'});
		return false;
	} else if (!pwd2) {
		md.toast({msg: '请输入确认密码！'});
		return false;
	} else if (passwordLevel(REGISTINFO.PWD) === 0) {
		md.toast({msg: '密码不合法！'});
		return false;
	} else if (REGISTINFO.PWD !== pwd2) {
		md.toast({msg: '密码与确认密码不相等！'});
		return false;
	} /*else if (!REGISTINFO.CODE) {
		md.toast({msg: '请输入验证码！'});
		return false;
	}*/
	return true;
}

// 验证密码强度
function passwordLevel (value) {
    if (typeof value === 'undefined') {
        return 0
    }
    // 更换正则为 最少相关字符类型 
	// var reg = /^(?![0-9]+$)(?![a-zA-Z]+$)(?![A-Za-z]+$)(?![_]+$)(?![\-]+$)[0-9_\-A-Za-z]{8,18}$/;
	// var reg = /^(?=.*\d)(?=.*[a-zA-Z])(?=.*[_\-])[\da-zA-Z_\-]{8,16}$/;
	// 过滤 纯数字 纯小写字符 纯大写字母等情况
	var regN = /^[A-Z]{8,16}$|^\d{8,16}$|^[a-z]{8,16}$|^[_\-!@#$%()]{8,16}$/;
	// 密码 必须在指定字符
	var regY = /^[A-z\d_\-!@#$%()]{8,16}$/;
	// 正则  密码要求至少在 大小写字符 数字 特殊字符中任意两种组合，且
    if(regN.test(value)){
    	return 0;
    }else if(regY.test(value)){
    	return 1;
    }else{
    	return 0;
    }
}
function loginLevel (value){
	if (typeof value === 'undefined') {
        return 0
    }
    var reg = /^[A-z][A-z\d]{5,18}$/;
    if(reg.test(value)){
    	return 1;
    }else{
    	return 0;
    }
}
// 验证手机号
function telLevel (value) {
    if (typeof value === 'undefined') {
        return 0
    }
	var reg = /^(13[0-9]|14[01456879]|15[0-35-9]|16[2567]|17[0-8]|18[0-9]|19[0-35-9])\d{8}$/;
    if (reg.test(value)) {
        return 1;
    }
     return 0;
}

// 请求短信验证码
function getVerifyCode (tel) {
	if(!telLevel (tel)){
        md.toast({msg: '手机号格式不对！'});
		return false; 
	}
	var param = {
		tel: tel
	}
	Base.requestData("L01005", param, function (res) {
		if (res.code === 0) {
			md.toast({msg: res.message});
		} else {
			md.toast({msg: res.message});
		}
	})
}

// RSA加密
var bodyRSA = function () {
    setMaxDigits(130);
    var key = new RSAKeyPair('10001', '', '906C793510FB049452764740B21B97A51DAEA794AB6E43836269D5E6317D49226C12362BA22DAB5EC3BC79553A8A098B01F3C4D81A87B3EE5BD2F4F1431CC495EE2FE54688B212145BB32D56EEEEE1430CE26234331B291CFC53C9B84FAFFDF0B44371A032880C3D567F588D2CD5FCE28D9CDD2923CB547DAD219A6A1B8B5D3D');
    return key;
};

var encryptString = function (rsaKey, pwd) {
    return encryptedString(rsaKey, encodeURI(pwd));
};

$("#login-name").on("change", function (e) {
	var val = Base.trim(e.target.value);
	var lvldom = $(".user-verify");
	lvldom.attr("src", PWDVERIFY[1]);
	if (!val) {
		return;
	}
	// 账户必须字母开头  6到18位
	var reg = /^[A-z][A-z\d]{6,18}$/;
	if(loginLevel(val)){
       	queryUserName(val);
	}else{
		lvldom.attr("src", PWDVERIFY[0]);
        $(".login-name").addClass("no-display");
		$(".login-name-verigy").removeClass("no-display");
	}
})

// 查询用户名是否被占用
function queryUserName (val) {
	Base.requestData("L01008", {
		loginId: val
	}, function (res) {
		if (res.code === 0) {
			$(".login-name").addClass("no-display");
			$(".login-name-verigy").removeClass("no-display");
		} else {
			$(".login-name").removeClass("no-display");
			$(".login-name-verigy").addClass("no-display");
		}
	})
}