        
       
        var $vm = null;
        var abc;
        var pageData;
        Vue.use(VueTouch, { name: 'v-touch' });
        //order-item组件
        var component =  {
            template: '#item-template',
            props: ['orders','view','param','aac002'],
            data: function(){
                return {
                    status:{},
                    limit: 5,
                    sortColumn: 2//按下单时间倒序排序
                }
            },
            computed: {
                list: function(){
                    return this.orders;
                }
            },
            methods:{
                tap:function(e){
                    var el = $(e.target).parents('.order-item').get(0);
                    this.$refs.orders.forEach(function(value) {
                        if (e.target === value || el === value) {
                            var orgid = value.getAttribute('orgid');
                            var companyname = value.getAttribute('companyname')
                            var companyaddress = value.getAttribute('companyaddress');
                            var phone = value.getAttribute('phone');
                            var param = {};
                            param.name = "choiceservice_win";
                            param.url = "wgt://disa/common/common_win.html";
                            param.frameName = "choiceservice_frame01.html";
                            param.title = "机构详情";
                            param.reload = true;
                            param.frameUrl = "wgt://disa/service/choiceservice_frame01.html";
                            param.framePageData = {
                            orgid,companyname,companyaddress,phone
                            };
                               
                            Base.openWin(param);
                        }
                    });
                }
            },
           
            created:function(){
                var _this = this;
                // DBUtil.queryValuesByCode('CHENGDUAREA', function(data) {
                //     var obj = {};
                //     for (var i = 0; i < data.length; i++) {
                //         var item = data[i];
                //         obj[item.aaa102] = item.aaa103;
                //     }
                //     _this.status = Object.assign({}, obj);
                // });
                 //组件创建时请求数据
                  getJSON({
                    'orgareacode':abc.framePageData,
                    'start': this.param.start,
                    'limit': this.limit,
                }, this);
                
            },
            mounted: {

            },
            updated: function(){
                

            }
        };

        
        var selforder =$.extend(true,{},component);
        

    function getZAC003(param) {
        
         var promise = new Promise(function(resolve,reject){
             Base.callBusiness('czx118', param, function(data) {
                if(data.code==1){
                    var zac003 = data.data.zac003;
                    resolve(zac003);
                }else{
                    reject(data)
                }
              
         },true);
           
        });
             return promise;
    }      
 



    //查询数据
    function getJSON(param, context) {
        Base.callBusiness('czx101', param, function(data) {
            console.log("照护机构"+JSON.stringify(data))

            if(data.code==1){
                var recordData = data.data;
                
                if(recordData !== ""){
                    $("#disNone").css("dispaly","block");
                    context.$emit("on-orders-change",recordData);
                }
                else if(recordData==""){   
                    Base.noDataPage(".order-box");
                    pullRefresh.headerDone();
                    return;
                } 
        }
            else {
                Base.toast("查询失败,请重试!");
            }
        }, false);
    }
    function getZho003(view) {
        var zho003 = '';
        switch (view) {
            case 'base-order':
                zho003 = 1;
                break;
            case 'self-order':
                zho003 = 2;
                break;
            default:
               zho003 = ''; 
        }
        return zho003;
    }
    //上下拉刷新
    function getJSONByPull(param,context){
        Base.callBusiness('czx101', param, function(data) {
            if (data.code == 1) {
                if(param.pullType == 1){
                    context.orders[context.view] = data.data|| [];
                    context.params[context.view].start = context.limit;
                    pullRefresh.headerDone();
                }else{
                    if(data.data && data.data.length > 0){
                        context.params[context.view].start += context.limit;
                        context.orders[context.view] = context.orders[context.view].concat(data.data||[]);
                    }else{
                        Base.toast("没有更多数据啦!");
                    }
                    pullRefresh.footerDone();
                }
            } else {
                Base.toast("查询失败,请重试!");
            }
            
        }, false);
    }
    function initComponentData(index){
        if($vm == null) return;
        if (index == 1) {
            $vm.view = "base-order";
        } else if (index == 2) {
            $vm.view = "self-order";
        }
    }
    Base.ready(function(){
        abc =  md.pageParam;
         pullRefresh.headerLoading();
        new Vue({
            data: {
                orders:{
                    'base-order': [],
                    'self-order': []
                },
                //存储各组件start值
                params: {
                    'base-order': {
                        start: 0
                    },
                    'self-order': {
                        start: 0
                    }
                },
                limit: 5,//分页条数
                sortColumn: 2,//排序规则
                view:'base-order',//初始视图名称
                aac002: JSON.parse(Base.getStorage('userinfo')||'{}').aac002
            },
            methods: {
                onOrdersChange: function(value) {
                    this.orders[this.view] = this.orders[this.view].concat(value);
                    this.params[this.view].start += this.limit;
                },
            },
            created: function() {
                var _this = this; 
                 pullRefresh.setHeader(function(ret, err) {
                    if (ret.state === 'begin') {
                        //查询数据
                        getJSONByPull({
                            'orgareacode':abc.framePageData,
                            'start': 0,
                            'limit': _this.limit,
                            'sortColumn': _this.sortColumn,
                            'pullType': 1
                        }, _this);
                    } else {
                        console.log("end refresh.");
                    }
                });
                pullRefresh.setFooter(function(ret, err) {
                    if (ret.state === 'begin') {
                        //查询数据
                        getJSONByPull({
                           'orgareacode':abc.framePageData,
                            'start':  _this.params[_this.view].start,
                            'limit': _this.limit,
                            'sortColumn': _this.sortColumn,
                            'pullType': 2
                        }, _this);
                    } else {
                        console.log("end refresh.");
                    }

                });

            },
            mounted: function(){
                $vm = this;
            },
            components:{
                'base-order': component,
                'self-order': selforder
            }
        }).$mount('#app');
  
    onViewClose=function(){
        $vm = null;
        pullRefresh.headerDone();
    };
});
    
   
      