onViewOpen=function(){
    //to do something
    $(".date").val(getForMonth().date);
    queryOrderList();
};

var planList = [];
var month = getForMonth().text;

//分页查询列表
function queryOrderList() {
    planList = [];
    var params = {
        certno: JSON.parse(md.getPrefs({key: 'userinfo'})).certno,
        planIssue: month
    }
    Base.requestData('selectDisaPlan', params, function (res) {
        if (res.code == Base.REQUEST_CODE.SUCC) {
            res.data.forEach(function(item) {
                item.nurseTypeText = item.nurseType == 1 ? '居家照护' : (item.nurseType == 2 ? '机构上门' : '机构照护');
                item.nursePlanStasText = item.nursePlanStas == 1 ? '未服务' : 
                                        (item.nursePlanStas == 2 ? '服务中' : 
                                        (item.nursePlanStas == 3 ? '已完成' : '暂无状态'));
                planList.push(item);
            })
            if (planList.length <= 0) {
                md.toast({msg: '暂无数据！'});
                $("#list").empty();
                Base.noDataPage($("#list"),"暂无数据");
                return;
            }
            var plantemp = template('temp', {planList});
            $("#list").html(plantemp);
            createEvent();
        } else {
            if (res.code == Base.REQUEST_CODE.LOSE_TOKEN) {
                md.toast({msg: "您尚未登录，请先登录！"});
                Base.toLogin();
                return;
            }
            md.toast({msg: res.message})
        }
    }, true)  
}

$(".change-btn").on('click', function() {
    md.openPicker({
        type:'date',
        title:'选择日期'
    },function(ret,err){
        if(ret){
            ret.month = + ret.month;
            var currentMonth = ret.month < 10 ? '0'+ret.month : ret.month;
            month = ret.year + '' + currentMonth;
            $(".date").val(ret.year + '-' + currentMonth);
            dataList = {};
            dataTable = [];
            queryOrderList();
        }
    });
})

function createEvent () {
    $(".order-item").unbind("click");
    $(".order-item").on("click", function () {
        var idx = this.dataset.index;
        var param = {}
        param.name="careplan_win";
        param.url="wgt://disa/common/common_win.html";
        param.frameName="careplan_frame";
        param.title="照护详情";
        param.frameUrl="wgt://disa/service/careplan_frame.html"; 
        param.framePageData = planList[idx]
        param.reload=true;
        Base.openWin(param);
    })
}

function getForMonth () {
    var dateTime = new Date();
    var y = dateTime.getFullYear();
    var m = ('0' + (dateTime.getMonth() + 1)).slice(-2);
    return {text: y + '' + m, date: y + '-' + m}
}