var recover,issues,userid,typenum;
Base.ready(function() {
   recover = md.pageParam.recover;
   issues = md.pageParam.issues;
   userid = Base.getStorage("userid");   //获取用户userid
   typenum = md.pageParam.typenum;
   var healthInfo;
    if(!$.isEmptyObject(issues)){
        showTempData();
    }else{
        if(recover == 1){
            healthInfo = Base.getStorage(userid + 'tempHealthInfo' + typenum);
        }else{
            healthInfo = Base.getStorage(userid + 'healthInfo' + typenum);
        }
        recoverFromLocalStorage(healthInfo);
    }
    
});

function createCarcrash(){
    var html = "";
    DBUtil.queryCodeByTag("DAL109",function(ret, err){
       if(ret){
         var data = ret.data;
         html+= '<div class="md-box md-size md-ac pad-lr3 item DAL109">'
             +     '<div class="fs-30 color-8a text">车祸：</div>'
             +     '<div class="md-box md-f1 md-size pad-tb1">'
             +        '<div class="flex" tag="DAL109" id="DAL109">'
             for(var len = data.length,i=0;i<len;i++){
                item = data[i];
                html +='<div class="slect-box marg-r1">'
                +'<div class="md-box md-f1 md-ac">'
                +'<div class="md-box md-img2 marg-r1 select"></div>'
                +'<span class="md-box fs-30 color-8a select-text" aaa102='+item.aaa102+'>'+item.aaa103+'</span>'
                +'</div>'
                +'</div>';
            }
             html+=   '</div>'      
             +     '</div>'
             +'</div>'
             console.log("新加的车祸节点"+html)
             $(".item.DAL108").after(html)
             $("#DAL109").html(html);
             var healthInfo = Base.getStorage(userid + 'healthInfo'+typenum);
             if(!$.isEmptyObject(issues)){
                showTempData();
            }else{
                recoverFromLocalStorage(healthInfo);
            }

       }
    });
}

function showTempData(){
    var healthinfo={}
    for(var issue in issues){
        var item = {
            aaa102: issues[issue][0].aaa102,
            aaa103: issues[issue][0].aaa103
        };
        healthinfo[issue] = item; 
    }
    healthinfo = JSON.stringify(healthinfo)
    recoverFromLocalStorage(healthinfo);
}

function initData(){
    var apply_data = window.localStorage.getItem(userid + "apply_data" + typenum);
    console.log(apply_data);
    apply_data = JSON.parse(apply_data);
    $('#acciFall').find('.select-text[aaa102="'+apply_data['acciFall']+'"]').parent().parent().addClass('slected').siblings().removeClass("slected");
    $('#acciLost').find('.select-text[aaa102="'+apply_data['acciLost']+'"]').parent().parent().addClass('slected').siblings().removeClass("slected");
    $('#acciChok').find('.select-text[aaa102="'+apply_data['acciChok']+'"]').parent().parent().addClass('slected').siblings().removeClass("slected");
    $('#acciSuic').find('.select-text[aaa102="'+apply_data['acciSuic']+'"]').parent().parent().addClass('slected').siblings().removeClass("slected");
    if(apply_data['acciOther']){
        $('textarea').val(apply_data['acciOther']);
    }
}

function recoverFromLocalStorage(healthInfo){
    // var healthInfo = Base.getStorage('healthInfo');
    console.log("从缓存中读取healthInfo： "+healthInfo);
    if(healthInfo){
        healthInfo = JSON.parse(healthInfo);
        for(var name in healthInfo) {
            var  aaa103 = healthInfo[name].aaa103;
            if(aaa103 == undefined || aaa103 == null) {
                continue;
            }
            $("#"+name).find(".select-text").each(function(i,e){
                if($(e).text() == aaa103){
                    $(e).parent().parent().addClass("slected").siblings().removeClass("slected");
                }
            });
            if(name=="acciOther"){
                $("textarea").val(aaa103);
            }
        }
        return;
    }else if(recover == 1){
        initData();
    }
}

function createHtml(data){
    var html='',item;
    for(var len = data.length,i=0;i<len;i++){
        item = data[i];
        html +='<div class="slect-box marg-r1">'
                +'<div class="md-box md-f1 md-ac">'
                    +'<div class="md-box md-img2 marg-r1 select"></div>'
                    +'<span class="md-box fs-30 color-8a select-text" aaa102='+item.aaa102+'>'+item.aaa103+'</span>'
                +'</div>'
            +'</div>';
    }
   $('.text2').each(function(i,e){
        $(e).html(html);
    });
}

$("textarea").on("blur",function(){
    if($('textarea').val().length > 200){
        Base.toast('其他描述信息不能超过200字！','2000','middle');
        return;
    }
});

function getCheckItem() {
    var tag;
    var issues = {};
    var len1 = $('.flex').length;
    var len2 = $('.slected').length;
    var len3 = $('textarea').val().length;
    if(len1 != len2) {
        Base.toast('还有信息未选择，请选择后保存！','2000','middle');
        return;
    }
    if(len3 > 200){
        Base.toast('其他描述信息不能超过200字！','2000','middle');
        return;
    }
    $('.flex').each(function(i,e) {
        var $self = $(e);
        tag = $self.attr("tag");
        var options = [];
        var option = {};
        option['aaa102'] = $self.find(".slected").find('span').attr('aaa102'); // 选项id
        option['aaa103'] = $self.find(".slected").find('span').text() || $self.find('textarea').val(); // 展示的文字
        options.push(option);
        issues[tag] = options;
    });
    var dal107 = obtainDAL107();
    if(dal107) {
        issues['acciOther'] = dal107;
    }
    var issuesStrVal = JSON.stringify(issues);
    console.log("issuesStrVal: " + issuesStrVal);
    md.execScript({
        name: 'healthinfo_win',
        frameName: 'healthinfo_frame',
        script: "accidentInfo('"+issuesStrVal+"')",
    });
    md.closeWin();
}

/**
 * 从页面获取其他字段的值。
 */
function obtainDAL107() {
    var dal107 =$('textarea').val();
    if(dal107) { 
        dal107 = dal107.trim();
    }
    if(dal107) {
        return [ {aaa103: dal107} ];
    }
    return null;
}

$(document).on("click",".slect-box",function(){
    var $this = $(this);
    $this.addClass("slected").siblings().removeClass("slected");
});

Base.click(".save-btn",function($this){
    getCheckItem();
});