var recover,click_tag,userid,typeNum;
Base.ready(function() {
    recover = md.pageParam.recover;
    userid = Base.getStorage("userid");   //获取用户userid
    typeNum = md.pageParam.typeNum;//申请类型
    var anergyInfoStrVal;
    if(recover == "1"){
        anergyInfoStrVal = Base.getStorage(userid + 'tempAnergyInfo'+typeNum);
        if(anergyInfoStrVal){
            recoverFromLocalStorage(anergyInfoStrVal); 
       }else{
            initData(typeNum);
       }
    }else{
        anergyInfoStrVal = Base.getStorage(userid + 'anergyInfo'+typeNum);
        if(anergyInfoStrVal){
            recoverFromLocalStorage(anergyInfoStrVal); 
       }
    }
});


function initData(typeNum){
    var apply_data = window.localStorage.getItem(userid + "apply_data" + typeNum);
    console.log(apply_data);
    apply_data = JSON.parse(apply_data);
    $("#disaCnt").val(apply_data["disaCnt"]);
    if(apply_data["treatYn"] == 0){
        $(".item").last().addClass('hide');
        $(".check-box").removeClass("checked").children(".text").text("否").attr("tag",'0');
    }else if(apply_data["treatYn"] == 1){
        $(".item").last().removeClass('hide');
        $(".check-box").addClass("checked").children(".text").text("是").attr("tag",'1');  
        $("#treatCnt").val(apply_data["treatCnt"]);
    }
}
function recoverFromLocalStorage(anergyInfoStrVal){
    console.log(anergyInfoStrVal);
    anergyInfoStrVal = JSON.parse(anergyInfoStrVal);
    $("#disaCnt").val(anergyInfoStrVal["disaCnt"]);
    if(anergyInfoStrVal["treatYn"] == 0){
        $(".item").last().addClass('hide');
        $(".check-box").removeClass("checked").children(".text").text("否").attr("tag",'0');        
    }else{
        $(".item").last().removeClass('hide');
        $(".check-box").addClass("checked").children(".text").text("是").attr("tag",'1');  
        $("#treatCnt").val(anergyInfoStrVal["treatCnt"]);
    }
}

function saveInfo(){
    var anergyInfo = {};
    var regNum = /^[1-9]\d*$/;
    anergyInfo.disaCnt = $('input').eq(0).val();
    anergyInfo.treatYn =$('.check-box .text').attr("tag");  
    if(anergyInfo.disaCnt && anergyInfo.disaCnt>5){
        if (anergyInfo.treatYn=="1") {
            anergyInfo.treatCnt = $('input').eq(1).val();
            if(!anergyInfo.treatCnt){
                Base.toast('请输入康复治疗的时间','2000','middle');
            }else{
                console.log(JSON.stringify(anergyInfo));
                console.log(regNum.test(anergyInfo.treatCnt))
                console.log(regNum.test(anergyInfo.disaCnt));
                if( anergyInfo.disaCnt<1000 && regNum.test(anergyInfo.disaCnt) && anergyInfo.treatCnt<1000 && regNum.test(anergyInfo.treatCnt)){
                    setAnergyStorage(anergyInfo); 
                }else{
                    Base.toast('输入的时间格式不正确或长度超出范围','2000','middle');
                }
            }
        }else{
            console.log(JSON.stringify(anergyInfo));
            if( anergyInfo.disaCnt<1000 && regNum.test(anergyInfo.disaCnt)){
                setAnergyStorage(anergyInfo); 
            }else{
                Base.toast('输入的时间格式不正确或长度超出范围','2000','middle');
            }
        }  
    }else if(anergyInfo.disaCnt<6){
        Base.toast('失能月不能小于6个月！','2000','middle');
    }else{
        Base.toast('还有必填信息未填写，请填写后提交！','2000','middle');
    }      
}

function setAnergyStorage(anergyInfo){
    if(recover=="1"){
         Base.setStorage(userid + 'tempAnergyInfo'+typeNum,anergyInfo);
    }else{
        Base.setStorage(userid + 'anergyInfo'+typeNum,anergyInfo);
    }
    md.confirm({
            title: '失能相关信息',
            msg:'保存成功！',
            buttons: ['确定', '取消']
        },function( ret, err ){
            var buttonIndex = ret.buttonIndex;
            if(buttonIndex==1){
                md.closeWin();
            }
    });
    md.execScript({
        name: 'commit_win',
        frameName: 'apply_frame',
        script: 'setStatus("snxg")',
    });
}

Base.click(".save-btn",function($this){
    saveInfo();
});

Base.click(".check-btn",function($this){
    click_tag = true;
    $this.parent().toggleClass("checked");
    if($this.siblings(".text").attr("tag") == 0){
        $this.siblings(".text").attr("tag","1").text("是");
        $("#treatCnt").parent().removeClass("hide");
    }else{
        $this.siblings(".text").attr("tag","0").text("否");
        $("#treatCnt").parent().addClass("hide");
    }
});

Base.click("input",function($this){
    click_tag = true;
});

function goBack(){
    if(click_tag){
        md.confirm({
            title: '温馨提示：',
            msg: '是否确定放弃本次操作？',
            buttons: ['确定', '取消']
        },function( ret, err ){
            var buttonIndex = ret.buttonIndex;
            if(buttonIndex==1){
                md.closeWin();
            }
        });
    }else{
        md.closeWin();
    }
}

$("input").on("keyup",function(){
    var $this = $(this);
    var len = $this.val().length;
    if(len>3){
        $this.addClass("warn");
    }else{
        $this.removeClass("warn");
    }
});

$("input").eq(0).on("blur",function(){
    var $this = $(this);
    var val = $this.val();
    if(val<6){
        $this.addClass("warn");
        Base.toast('失能月不能小于6个月！','2000','middle');
    }else{
        $this.removeClass("warn");
    }
});
