var recover,issues,userid,typenum,drugs;
Base.ready(function() {
   recover = md.pageParam.recover;
   issues = md.pageParam.issues;
   drugs = md.pageParam.drugs;
   userid = Base.getStorage("userid");   //获取用户userid
   typenum = md.pageParam.typenum;
   var healthInfo;
    if(!$.isEmptyObject(drugs)){
        showTempData();
    }else{
        if(recover == 1){
            healthInfo = Base.getStorage(userid + 'tempHealthInfo' + typenum);
            if(healthInfo){
                var health = eval('(' + healthInfo + ')');
                var drugsStorage = health.drugs;
                recoverFromLocalStorage(drugsStorage);
            }else{
                initData();
            }
        }else{
            healthInfo = Base.getStorage(userid + 'healthInfo' + typenum);
            if(healthInfo){
                var health = eval('(' + healthInfo + ')');
                var drugsStorage = health.drugs;
                recoverFromLocalStorage(drugsStorage);
            }else{
                drugs = [];
            }
        }
    }
});

function showTempData(){
    recoverFromLocalStorage(drugs);
}

function initData(){
    var apply_data = window.localStorage.getItem(userid + "apply_data" + typenum);
    console.log(apply_data);
    apply_data = JSON.parse(apply_data);
    if(apply_data['drugs'].length > 0){
        recoverFromLocalStorage(apply_data['drugs']);
    }else{
        drugs = [];
    }
}

function recoverFromLocalStorage(drugsObj){
    console.log("读取drugs： "+drugsObj);
    var html = "";
    if(drugsObj != undefined && drugsObj != null){
        drugs = drugsObj;
        for(i = 0; i < drugsObj.length; i++) {
            var item = drugsObj[i];
            html +='<tr id="item'+i+'"><td class="fs-30 color-8a ta-c drugName">'+item.drugName+'</td>'
            +'<td class="fs-30 color-8a ta-c takingMethod">'+item.takingMethod+'</td>'
            +'<td class="fs-30 color-8a ta-c perDose">'+item.perDose+'</td>'
            +'<td class="fs-30 color-8a ta-c frequency">'+item.frequency+'</td>'
            +'<td class="fs-30 color-8a ta-c" onclick="fnEdit('+i+')">修改</td>'
            +'<td class="fs-30 color-8a ta-c" onclick="fnDelete('+i+')">删除</td>'
            +'</tr>';
        } 
        $('#listTable tbody').html(html);
    }else{
        drugs = [];
    }
    return;
}

//修改
function fnEdit(index){
    $("#drugName").val($("#item" + index).find(".drugName").text());
    $("#takingMethod").val($("#item" + index).find(".takingMethod").text());
    $("#perDose").val($("#item" + index).find(".perDose").text());
    $("#frequency").val($("#item" + index).find(".frequency").text());
    $("#item" + index).remove();
    drugs = drugs.filter((item, index1) => index !== index1);
}

//删除
function fnDelete(index){
    $("#item" + index).remove();
    drugs = drugs.filter((item, index1) => index !== index1);
    md.execScript({
        name: 'healthinfo_win',
        frameName: 'healthinfo_frame',
        script: "drugsInfo("+JSON.stringify(drugs)+")",
    });
}

function getCheckItem() {
    var drug = {};
    var drugName = $('#drugName').val();
    var takingMethod = $('#takingMethod').val();
    var perDose = $('#perDose').val();
    var frequency = $('#frequency').val();
    drug.drugName = drugName;
    drug.takingMethod = takingMethod;
    drug.perDose = perDose;
    drug.frequency = frequency;
    if(drugName.trim() == ""){
        Base.toast('请填写药物名称！','2000','middle');
        return;
    }
    html ='<tr id="item'+drugs.length+'"><td class="fs-30 color-8a ta-c drugName">'+drugName+'</td>'
        +'<td class="fs-30 color-8a ta-c takingMethod">'+takingMethod+'</td>'
            +'<td class="fs-30 color-8a ta-c perDose">'+perDose+'</td>'
            +'<td class="fs-30 color-8a ta-c frequency">'+frequency+'</td>'
            +'<td class="fs-30 color-8a ta-c" onclick="fnEdit('+drugs.length+')">修改</td>'
            +'<td class="fs-30 color-8a ta-c" onclick="fnDelete('+drugs.length+')">删除</td>'
     +'</tr>';
    $('#listTable tbody').append(html);
    drugs.push(drug);
    md.execScript({
        name: 'healthinfo_win',
        frameName: 'healthinfo_frame',
        script: "drugsInfo("+JSON.stringify(drugs)+")",
    });
    $('#drugName').val('');
    $('#takingMethod').val('');
    $('#perDose').val('');
    $('#frequency').val('');
}

Base.click(".save-btn",function($this){
    getCheckItem();
});

function goBack(){
    md.closeWin();
}
