Base.ready(function(){
    pullRefresh.setHeader(function(ret, err) {
        console.log('下拉刷新');
        if(ret.state==='begin'){
            isRefesh = true; 
            initPage(md.pageParam);
        }else{
            console.log("end refresh.");
        }
    });
    pullRefresh.headerLoading();
	
});

onViewClose=function(){
     pullRefresh.headerDone();
};
clacCircleWidth();
function clacCircleWidth() {
    var fontSize = (Number)(document.documentElement.style.fontSize.slice(0, -2));
    var item_height = parseInt($(".list-box").height());
    var item_height1 = parseInt($(".list-item").first().height());
    var item_height4 = parseInt($(".list-item").last().height());
    $(".line-box").css({
        'height': (item_height-(item_height1+item_height4)/2-40)+'px',
        'top': 25+item_height1/2+'px'
    });
    $(".circle-box").css({
        "width": fontSize*0.35+'px',
        "height": fontSize*0.35+'px',
        "border": fontSize*0.1+'px solid #13a6f6'
    });
    $(".circle-box.active").css({
        "width": fontSize*0.35+'px',
        "height": fontSize*0.35+'px',
        "border": fontSize*0.1+'px solid #ff7c86',
        "background-color": '#FFFFFF'
    });
}    

/*初始化数据*/
function initPage(data){
    //show page by data
    showPageByData(data);
    var disabledAppyId = md.pageParam.disabledAppyId;
    var param = {
        disabledAppyId:disabledAppyId
    };
    Base.requestData("listApplyStatus",param,function(data){
        if(data.code == Base.REQUEST_CODE.SUCC){
            if(data.data){
                createItemsHtml(data.data);
                clacCircleWidth();
            }else{
                $(".process-box").empty();
                Base.noDataPage(".process-box");
            }
            pullRefresh.headerDone();
        }else{
            if (data.code == Base.REQUEST_CODE.LOSE_TOKEN) {
                md.toast({msg: "您尚未登录，请先登录！"});
                Base.toLogin();
                return;
            }
            Base.toast(data.message,'2000','middle');
        }
        pullRefresh.headerDone();
    },true);
}

/*初始化页面*/
function showPageByData(data){
    $("#time").html(data.work_time||"暂无");
    var userinfo = Base.strToJson(md.getPrefs({key: 'userinfo'}));
    for (var key in userinfo) {
        $("#"+key).html(userinfo[key]||"暂无");
    }
}

/*创建节点并启动*/
function createItemsHtml(data){
    var obj = $(".list-box");
    var len = data.length;
    var item = {};
    var content = "";
    var circlehtml = "";
    var netHtml;
    for (var i = 0; i < len; i++) {
        netHtml = '';
        item = data[i];
        item.memo = item.memo || ''
        var isshow = item.disaEvtType == '20' ? 'no-display' : '';
        content += '<div class="md-box md-ac marg-b1 list-item active">'
                    +'<div class="md-f1 pad-tb2 fs-28 color-6 icon icon07 apply-desc"><p>【'+item.disaEvtTypeDesc+'】'+''+netHtml+'</p>'
                    +'<p class="apply-memo '+isshow+'">【备注】' +item.memo + '</p></div>'
                    +'<div class="md-box md-f1 md-pe color-blue time-box">'+item.optTime.substring(0,10)+'</div>'
                    if(i==0){
                        content += '<div class="md-box md-size circle-box active"></div>'
                    }else{
                        content += '<div class="md-box md-size circle-box"></div>'
                    }
        content += '</div>'
    }
    content +='<div class="md-box line-box"></div>'
    obj.html(content);
    clacCircleWidth();
}

function goBack(){
    md.closeWin();
}
