var start = 0;
var limit = 5;
var isRefesh = false;
Base.ready(function() {
    pullRefresh.setHeader(function(ret, err) {
        if(ret.state==='begin'){
            isRefesh = true; 
            console.log('下拉刷新');
            start = 0;
            limit = 5;
            queryRecordList("down");
        }else{
            console.log("end refresh.");
        }
    });
    pullRefresh.setFooter(function(ret, err){
        if(ret.state==='begin'){
            console.log('上拉加载更多');
            start += 5;
            limit += 5;
            queryRecordList("up");
        }else{
            console.log("end refresh.");
        }
    });
    pullRefresh.headerLoading();
});

onViewClose=function(){
    pullRefresh.headerDone();
};

function queryRecordList(type){
    var userinfo = md.getPrefs({key: 'userinfo'});
    var userData = Base.strToJson(userinfo);
    var param = {
        disaId: userData.disaId
    };
    Base.requestData("D01021", param, function(data){
        if (data.code == BASE.REQUEST_CODE.SUCC) {
            var data = data.data;
            var str = createRecordList(data);
            var height = $("body").height();
            if(str == "" && start == 0) {
                $(".list-item-box").css("height",height);
                Base.noDataPage($(".content-box"),"暂无信息");
                if(type == "down"){
                    pullRefresh.headerDone();
                }else if(type == "up"){
                    pullRefresh.footerDone();
                }
                return false;
            }
            if(str == "" && start > 0) {
                Base.toast("没有数据啦");
                start -= 10;
                limit -= 10;
                if(type == "down"){
                    pullRefresh.headerDone();
                }else if(type == "up"){
                    pullRefresh.footerDone();
                }
                return false;
            }
            if(type == "down"){
                $(".list-item-box").html(str);
                pullRefresh.headerDone();
            }else if(type == "up"){
                $(".list-item-box").append(str);
                pullRefresh.footerDone();
            }
        }else{
            if (data.code == Base.REQUEST_CODE.LOSE_TOKEN) {
                md.toast({msg: "您尚未登录，请先登录！"});
                Base.toLogin();
                return;
            }
            Base.toast(data.msg,'2000','middle');
        }
        pullRefresh.headerDone();
    }, false);
}

function createRecordList(recordData){
    var html = '';
    /*执行节点添加*/
    var isPass = {
        '1': '核验通过',
        '2': '核验未通过'
    }
    for(var i=0,len=recordData.length;i<len;i++){
        var time = dateFormatter(parseInt(recordData[i].uploadTime) / 1000);
        var vfreslut = isPass[recordData[i].vfctStas];
        html+=  '<div class="md-box md-ver marg-tb1 bg-w list fs-30">'
            +       '<div class="md-box md-ac item">'
            +           '<div class="md-size pad-lr1 text fs-30 border-r text-justify">'
            +               '<span>核</span><span>验</span><span>时</span><span>间:</span>'
            +           '</div>'
            +           '<div class="md-box md-ae md-pc md-size pad-lr1 md-ellipsis tcolrv2">'+ time +'</div>'
            +       '</div>'
            +       '<div class="md-box md-ac item">'
            +           '<div class="md-size pad-lr1 text fs-30 border-r text-justify">'
            +               '<span>核</span><span>验</span><span>结</span><span>果:</span>'
            +           '</div>'
            +           '<div class="md-box md-ae md-pc md-size pad-lr1 md-ellipsis tcolrv2">'+ vfreslut +'</div>'
            +       '</div>'
            +       '<div class="md-box md-ac item">'
            +           '<div class="md-size pad-lr1 text fs-30 border-r text-justify">'
            +               '<span>地</span><span>址:</span>'
            +           '</div>'
            +           '<div class="md-box md-ae md-pc md-size pad-lr1 md-ellipsis tcolrv2">'+recordData[i].gpsAddr +'</div>'
            +       '</div>'
            +   '</div>';
    }
    return html;
}

/*$(document).on("click", '.list', function(){
    var objE = $(this).parent(".list");
    var zhg001 = objE.attr("zhg001")||"";
    var param = {};
    param.name="verifydetail_win";
    param.url="wgt://disa/common/common_win.html";
    param.frameName="verifydetail_frame";
    param.title="身份核验历史记录详情";
    param.frameUrl="wgt://disa/health/verifydetail_frame.html";
    param.bounces = true;
    param.reload = true;
    param.bgColor = "#FFFFFF";
    param.framePageData = {
        "zhg001":zhg001
    };
    Base.openWin(param);
});*/
function goBack(){
    md.closeWin();
}

function dateFormatter(dateStr) {
    if (!dateStr) return;
    var dateTime = new Date(dateStr);
    var y = dateTime.getFullYear();
    var m = ('0' + (dateTime.getMonth() + 1)).slice(-2);
    var d = ('0' + dateTime.getDate()).slice(-2);
    var h = ('0' + dateTime.getHours()).slice(-2);
    var mm = ('0' + dateTime.getMinutes()).slice(-2);
    var s = ('0' + dateTime.getSeconds()).slice(-2);
    return y + '/' + m + '/' + d + ' ' + h + ':' + mm + ':' + s;
}