onViewOpen = function(){
    //to do something
    md.addEventListener({
        name: 'goback'
    }, function(ret, err){
        md.closeWin();
    });
};

onViewClose = function(){
    //to do something
    md.removeEventListener({
        name: 'goback'
    });
};

// 下一步
$(".btn-submit").on("click", function () {
	var dom = $("input");
	var subData = [];
	for (var i = 0; i < dom.length; i++) {
		subData.push({
			key: dom[i].name,
			text: dom[i].dataset.name,
			value: dom[i].value.toUpperCase()
		})
	}
	if (!verifyInputInfo(subData)) return;
	getUserMate()
})

// 验证信息
function verifyInputInfo (data) {
	var isIdcard = /(^\d{18}$)|(^\d{17}[x|X]$)/g;
	for (var i = 0; i < data.length; i++) {
		if (!Base.trim(data[i].value)) {
			md.toast({msg: data[i].text + '不能为空'});
			return false;
		}
		if (data[i].key === 'certno' && !isIdcard.test(data[i].value)) {
			md.toast({msg: data[i].text + '输入有误!'});
			return false;
		}
	}
	return true;
}

// 查询姓名和身份证是否匹配
function getUserMate (data) {
	var params = {
		"psnName": $("input[name='psnName']").val(),
    	"certno": $("input[name='certno']").val().toUpperCase()
	}
	Base.requestData("L01003", params, function (res) {
		if (res.code === 0) {
			goNextPage(res.data)
		} else {
			md.toast({msg: res.message});
		}
	}, true);
}

// 跳转下一页
function goNextPage (data) {
	var param = {};
    param.name = "registerinfo_win";
    param.url = "wgt://disa/common/common_win.html";
    param.frameName = "registerinfo_frame";
    param.title = "用户注册";
    param.frameUrl = "wgt://disa/register/regist.html";
    param.reload = true;
    param.framePageData = data
	Base.openWin(param);
}