//生命周期函数
onViewOpen = function() {
    getJSON('down')
    pullRefresh.headerLoading();
    pullRefresh.setHeader(function(ret, err) {
        if (ret.state === 'begin') {
            //查询数据
            getJSON('down');
        } else {
            console.log("end refresh.");
        }
    });
    pullRefresh.setFooter(function(ret, err) {
        if (ret.state === 'begin') {
            //查询数据
            getJSON('up');
        } else {
            console.log("end refresh.");
        }

    });
};
onViewClose=function(){
    pullRefresh.headerDone();
}; 

var dataList = [];


function statusFormatter(val) {
    result = ''
    switch(val) {
        case '30': 
            result = '已接单'
        break;
        case '40':
            result = '已完成'
        break;
        case '41':
            result = '已确认'
        break;
        default: break;
    }
    return result;
}
function dateFormatter(dateStr) {
    if (!dateStr) return;
    var dateTime = new Date(dateStr);
    var y = dateTime.getFullYear();
    var m = ('0' + (dateTime.getMonth() + 1)).slice(-2);
    var d = ('0' + dateTime.getDate()).slice(-2);
    var h = ('0' + dateTime.getHours()).slice(-2);
    var mm = ('0' + dateTime.getMinutes()).slice(-2);
    var s = ('0' + dateTime.getSeconds()).slice(-2);
    return y + '/' + m + '/' + d + ' ' + h + ':' + mm + ':' + s;
}

//查询数据
function getJSON(type) {
    /*Base.callBusiness('czx106', param, function(data) {
        console.log("标准服务"+JSON.stringify(data))

        if(data.code==1){
            var recordData = data.data;
            if(recordData !== ""){
               $("#disNone").css("display","block");
               context.$emit("on-orders-change",recordData);
               pullRefresh.headerDone();
            }
            if(recordData==""){
                Base.noDataPage(".order-box");
                return;
            }
            pullRefresh.footerDone();
        
    }
        else {
            Base.toast("查询失败,请重试!");
        }
    }, mask || false);*/
    var params = {
        certno: JSON.parse(md.getPrefs({key: 'userinfo'})).certno
    }
    Base.requestData('selectOrder', params, function (res) {
        console.log("返回值：" + JSON.stringify(res))
        if (res.code == Base.REQUEST_CODE.SUCC) {
            var data = res.data;
            dataList = data;
            if (dataList.length <= 0) {
                md.toast({msg: "暂无数据！"});
                if (type == 'down') {
                    pullRefresh.headerDone();
                } else {
                    pullRefresh.footerDone();
                }
                return;
            }
            dataList.forEach(function(item) {
                item.startDate = dateFormatter(item.startDate);
                item.servBillStas = statusFormatter(item.servBillStas);
            })
            var listhtml = template('listTemp', {dataList});
            if(type == "down"){
                $("#dataList").html(listhtml);
                pullRefresh.headerDone();
            }else if(type == "up"){
                $("#dataList").append(listhtml);
                pullRefresh.footerDone();
            }
            crateEvent();
        } else {
            if (res.code == Base.REQUEST_CODE.LOSE_TOKEN) {
                md.toast({msg: "您尚未登录，请先登录！"});
                Base.toLogin();
                return;
            }
            Base.toast("查询失败,请重试!");
        }
    }, true)
}
    

function crateEvent(){
    $(".order-item").unbind("click");
    $(".order-item").on("click", function () {
        var idx = this.dataset.index;
        var param = {};
        param.name = "serviceorder_win";
        param.url = "wgt://disa/common/common_win.html";
        param.frameName = "serviceorder_frame";
        param.title = "照护详情";
        param.reload = true;
        param.frameUrl = "wgt://disa/service/serviceorder_frame.html";
        param.framePageData = {
            dataList: dataList[idx]
        };
        Base.openWin(param);
    })
}    
        
   

      