//生命周期函数
onViewOpen = function() {
    getJSON('down')
    pullRefresh.headerLoading();
    pullRefresh.setHeader(function(ret, err) {
        if (ret.state === 'begin') {
            //查询数据
            getJSON('down');
        } else {
            console.log("end refresh.");
        }
    });
    pullRefresh.setFooter(function(ret, err) {
        if (ret.state === 'begin') {
            //查询数据
            getJSON('up');
        } else {
            console.log("end refresh.");
        }

    });

    md.addEventListener({
        name: 'reflashCom'
    }, function(ret, err){
        getJSON('down');
        pullRefresh.headerLoading();
    });
};
onViewClose=function(){
    pullRefresh.headerDone();
}; 

var dataList = [];

function dateFormatter(dateStr) {
    if (!dateStr) return;
    var dateTime = new Date(dateStr);
    var y = dateTime.getFullYear();
    var m = ('0' + (dateTime.getMonth() + 1)).slice(-2);
    var d = ('0' + dateTime.getDate()).slice(-2);
    var h = ('0' + dateTime.getHours()).slice(-2);
    var mm = ('0' + dateTime.getMinutes()).slice(-2);
    var s = ('0' + dateTime.getSeconds()).slice(-2);
    return y + '/' + m + '/' + d + ' ' + h + ':' + mm + ':' + s;
}

//查询数据
function getJSON(type) {
    var params = {
        certno: JSON.parse(md.getPrefs({key: 'userinfo'})).certno
    }
    Base.requestData('selectCompleteOrder', params, function (res) {
        console.log("返回值：" + JSON.stringify(res))
        if (res.code == Base.REQUEST_CODE.SUCC) {
            var data = res.data;
            dataList = data;
            console.log(dataList.length + "  $$$$$$$")
            if (dataList.length <= 0) {
                md.toast({msg: "暂无数据！"});
                Base.noDataPage($("#datalist"),"暂无数据");
                if (type == 'down') {
                    pullRefresh.headerDone();
                } else {
                    pullRefresh.footerDone();
                }
                return;
            }
            dataList.forEach(function(item) {
                item.startDate = dateFormatter(item.startDate);
                item.evalLv = item.evalLv || 0;
                item.uneval = [0,0,0,0,0]
                for (var j = 0; j < item.evalLv; j++) {
                    item.uneval[j] = 1;
                }
                
            })
            var listhtml = template('listTemp', {dataList});
            if(type == "down"){
                $("#dataList").html(listhtml);
                pullRefresh.headerDone();
            }else if(type == "up"){
                $("#dataList").append(listhtml);
                pullRefresh.footerDone();
            }
            crateEvent();
        } else {
            if (res.code == Base.REQUEST_CODE.LOSE_TOKEN) {
                md.toast({msg: "您尚未登录，请先登录！"});
                Base.toLogin();
                return;
            }
            Base.toast("查询失败,请重试!");
        }
    }, true)
}
    

function crateEvent(){
    $(".eval-btn").unbind("click");
    $(".eval-btn").on("click", function () {
        var idx = this.dataset.index;
        var param = {};
        param.name = "evalorder_win";
        param.url = "wgt://disa/service/evalorder_win.html";
        param.frameName = "evalorder_frame";
        param.title = "服务单评价";
        param.reload = true;
        param.frameUrl = "wgt://disa/service/evalorder_frame.html";
        param.framePageData = {
            dataList: dataList[idx],
            complaint: 0
        };
        Base.openWin(param);
    })
    $(".complain-btn").unbind("click");
    $(".complain-btn").on("click", function () {
        var idx = this.dataset.index;
        var param = {};
        param.name = "evalorder_win";
        param.url = "wgt://disa/service/evalorder_win.html";
        param.frameName = "evalorder_frame";
        param.title = "服务单投诉";
        param.reload = true;
        param.frameUrl = "wgt://disa/service/evalorder_frame.html";
        param.framePageData = {
            dataList: dataList[idx],
            complaint: 1
        };
        Base.openWin(param);
    })
}    
        
   

      