//生命周期函数
onViewOpen = function() {
    initData()
};
onViewClose=function(){
    pullRefresh.headerDone();
}; 

var dataList = [];
var dialog = new mduiDialog();
var starList = [0,0,0,0,0];

function dateFormatter(dateStr) {
    if (!dateStr) return;
    var dateTime = new Date(dateStr);
    var y = dateTime.getFullYear();
    var m = ('0' + (dateTime.getMonth() + 1)).slice(-2);
    var d = ('0' + dateTime.getDate()).slice(-2);
    var h = ('0' + dateTime.getHours()).slice(-2);
    var mm = ('0' + dateTime.getMinutes()).slice(-2);
    var s = ('0' + dateTime.getSeconds()).slice(-2);
    return y + '/' + mm + '/' + d + ' ' + h + ':' + m + ':' + s;
}

//查询数据
function initData() {
    var data = md.pageParam.dataList;
    var starCount = data.evalLv || 0;
    for (var i = 0; i < starCount; i++) {
        starList[i] = 1;
    }
    data.star = starList;
    data.orderItemList.forEach(function(item) {
        item.startDate = dateFormatter(item.startDate);
        item.endDate = dateFormatter(item.endDate);
    })
    dataList = data.orderItemList;
    var listhtml = template('listTemp', data);
    $("#dataInfo").html(listhtml);
    createEvent();
}
   

function createEvent() {
    $(".disc-btn").on('click', function() {
        var idx = this.dataset.index;
        var oldVal = dataList[idx].memo ? dataList[idx].memo : '';
        dialog.alert({
            title:"服务描述",
            msg:'<textarea type="text" class="dialog-textarea" readonly>' + oldVal + '</textarea>',
            buttons:['取消','确定']
        },function(ret){})
    })
}    


      